This file lists only more or less major changes, refer to `git log` for
the rest.

!!! 0.6.70
* New plugins:
	* AdvancedNotifications Dolle - OS X notification backend.
	* Azoth MuCommands - various textual commands for Azoth.
	* Eleeminator - Embedded LeechCraft Terminal Emulator.
	* LMP BrainSlugz - discography completeness checker.
	* LMP FrAdj - equalizer effect plugin.
	* LMP HttStream - HTTP streamer plugin.
	* NetStoreManager Dbox - Dropbox support plugin.
	* Poshuku DC/AC - color invertor plugin for Poshuku.
	* Poshuku SpeedDial - speed dial plugin for Poshuku.
	* Poshuku QRd - plugin for showing the URL of the current page as a QR code.
* Removed plugins:
	* Azoth p100q - psto.net is closed due to ARTS.
	* Shaitan - obsoleted by Eleeminator.
	* ShellOpen - obsoleted by Advanced Notifications.
* [Overall] Use proper QML cache subpaths.
* [Core] Add visible dock toggle actions to View menu.
* [Core] Support tabs that override the Ctrl+W shortcut.
* [Core] Store network disk cache in XDG cache dir
* [Core] Removed Ctrl+W key sequence for shortcut in UI.
* [Core] Removed obsolete message timeout setting.
* [Core] Respect "SessionData/RootWindowIndex" tab property when adding tab.
* [Core] Support iconable toolbuttons.
* [Core] Support cloning tabs.
* [Core] Hide close buttons if tab width is too small.
* [Core] Invoke external handlers iff the scheme is non-empty.
* [Core] Fixed a memory leak if "Open as submenu" is disabled.
* [Core] Don't perform anything with tabs on shutting down, fixes
  occasional crashes on restart.
* [Util] "Esc" clears the line edit in ClearLineEditAddon.
* [Util] Splitted the utility library into sublibs.
* [Util] Added regexp class with optional PCRE backend (from CleanWeb).
* [Util] Added ColorButton.
* [Util] Added ExtensionsData database class.
* [Util] Added FindNotification::clear().
* [Util] Properly close the FindNotification on Esc.
* [Util] Added LineEditButtonManager.
* [Util] Added OneTimeRunner.
* [Util] Added SlotClosure.
* [Util] Button for invoking tags selector in TagsLineEdit.
* [Util] Cache translated units in MakePrettySize().
* [Util] Check for /usr[/local]/share/applications for icons.
* [Util] Create network disk cache in XDG cache dir.
* [Util] Properly check /usr/[local/]share/icons/hicolor/ for icons.
* [Util] Added network disk cache GC timer.
* [Util] Converted CategorySelector to a dialog with configurable buttons.
* [Util] Fixed 32-bit build.
* [Util] Fixed Windows build.
* [Util] Tags sorting in CategorySelector now optional.
* [XSD] Support custom buttons in "dataview" items.
* [XSD] Support "resizeToContents" attribute for dataviews.
* [XSD] Resize the scrollarea's widget to full width.
* [Aggregator] Fixed startup wizard.
* [Aggregator WA] Workaround QTBUG-22829 in Q2WProxyModel.
* [AN] Added support for notification plugins.
* [AN] Support providing the list of rules to other plugins.
* [AN] Support colors associated with rules.
* [AN] Support matching URL fields.
* [AN] Fixed visual representation of integer equality matchers.
* [AN] Fixed "Modify matcher" dialog (filling with current configuration).
* [AN] Don't stop on first found rule.
* [AN] Added support for boolean fields.
* [AN] Added support for terminal events.
* [AN] Fixed crash on setting standard fields matchers.
* [Azoth] Added support for commands.
* [Azoth] Added /help and /clear commands.
* [Azoth] New APIs: IHavePings, IHaveQueriableVersion, IProvideCommands,
  ISupportLastActivity.
* [Azoth] Migrate to QtMultimediaKit from QtMobility instead of QtMultimedia.
* [Azoth] Added "Open" button to "file transfer finished" notification.
* [Azoth] Added persistent notification about file transfer finish.
* [Azoth] Auto-opening incoming files now optional.
* [Azoth] Added "View server history" action.
* [Azoth] Added icon for iSida bot v. 4.
* [Azoth] Always save edit text (even for MUCs) in chat tab restore info.
* [Azoth] Optimized tooltips generation: it's done lazily on hover now.
* [Azoth] Don't search for links in messages bigger than 1 KiB (QRegExps suck).
* [Azoth] Show client icons in tooltip.
* [Azoth] Show status icons in tooltips.
* [Azoth] Support protocols with entry time information.
* [Azoth] Environment roster activation style is default now.
* [Azoth] Fixed escaping HTML entities in message bodies in the core and plugins.
* [Azoth] Re-show core messages after theme reload.
* [Azoth] Refactored most enums to be enum classes.
* [Azoth] Don't format links if body is >10 KiB.
* [Azoth] Don't skip null types in GetClientIconForEntry().
* [Azoth] Show service messages in chat tab even with separate MUC log.
* [Azoth] Refactored lots of core code, much cleaner and nicer now.
* [Azoth Acetamide] Fixed a possible crash.
* [Azoth AdiumStyles] Fixed Windows build.
* [Azoth ChatHistory] Migrated to common chat box for history search.
* [Azoth ChatHistory] Support wrapping, forward and/or case-insensitive search.
* [Azoth ChatHistory] Use Core colors for private chats.
* [Azoth LastSeen] Async statistics loading.
* [Azoth LastSeen] Async statistics saving.
* [Azoth LastSeen] Bigger saving interval.
* [Azoth Murm] Don't delete all entries when going offline, fixes reading
  offline messages.
* [Azoth OTRoid] Support for question-based and shared-secret authentication.
* [Azoth OTRoid] Added fingerprints manager.
* [Azoth OTRoid] Added private keys manager.
* [Azoth StandardStyles] Fixed Windows build.
* [Azoth Xoox] Added support for querying entity time.
* [Azoth Xoox] Added caps for "http://v4.isida-bot.com"
* [Azoth Xoox] Added new caps for isida bot.
* [Azoth Xoox] Async threaded avatars saving with maximum compression.
* [Azoth Xoox] Ignore VCard if it equals to the saved one.
* [Azoth Xoox] Moved avatars storage to XDG cache dir.
* [Azoth Xoox] Don't append empty variant in calls.
* [Azoth Xoox] Don't save roster twice if item is added.
* [Azoth Xoox] Optimized initial recovery from ODS.
* [Azoth Xoox] Pass BoB mgr to form builder in cmd result page, fixes rare segfaults.
* [Azoth Xoox] Proper merging logic for MUC nick changes.
* [Azoth Xoox] Schedule roster save only for roster contacts VCards (ignore MUCs).
* [Azoth Xoox] Update incoming PEP avatar iff it's not null.
* [Azoth Xoox] Fixed a segfault on removing some always-offline entities.
* [Azoth Xoox] Allow changing room subject without checking rights.
* [Azoth Xoox] Convert timestamps in forwarded elems to local time.
* [Azoth Xoox] Fixed handling renaming MUC participants with unread messages.
* [Azoth Xoox] Warn about juick crappiness.
* [Azoth Xtazy] Support non-immediate tune sending.
* [BitTorrent] Emit updates only for changed torrents.
* [BitTorrent] Added "Add magnet" dialog.
* [BitTorrent] Cache translations in the model.
* [BitTorrent] Avoid several deprecated libtorrent members.
* [BitTorrent] Show files icons in icons view.
* [BitTorrent] Correctly handle marking/unmarking selected files.
* [BitTorrent] Issue FATAL_ERROR if pkgconfig is not found.
* [BitTorrent] Non-modal add torrent dialog.
* [BitTorrent] Notify the user if the torrent file is invalid.
* [BitTorrent] Open comment label URLs internally.
* [BitTorrent] Added "total uploaded" column.
* [BitTorrent] Proper sorting.
* [Blogique Metida] Use XDG cache dir for avatars.
* [CM] Accept/reject is now togglable by left mouse doubleclick.
* [CSTP] Added support for UTF-8-encoded content-disposition.
* [DeadLyrics] Properly handle reply errors avoiding a rare but nasty segfault.
* [DeadLyrics] Temporarily removed AnimeLyrics provider.
* [Dolozhee] Sane STR/Expected/Actual order.
* [Dolozhee] Added the link to Atom feed for tickets.
* [HistoryHolder] Async history saving.
* [HotSensors] Added support for OS X SMC temperature sensors backend.
* [HttHare] Added support for FreeBSD's sendfile().
* [HttHare] Added default sendfile() emulation backend.
* [KBSwitch] Support adding same layout multiple times.
* [KBSwitch] Show group variants.
* [Kinotify] Respect entity's NotificationTimeout property.
* [LackMan] Check if a package is already present before adding.
* [LackMan] Remove check preventing from deselecting upgradables.
* [LackMan] Fixed items filtering.
* [LackMan] Enable Apply/Cancel/Upgrade actions only when needed.
* [LackMan] Sync PackagesModel to Install/Remove state.
* [LastFMScrobble] Implement new URL-based album art API.
* [Laughty] Respect expiration timeout parameter.
* [Laughty] Treat non-expiring notifications as permanent.
* [LHTR] Always validate the document as XML, fixes misrepresentations due to
  entities not defined in XML.
* [LHTR] Replace '\n' with '<br/>' in plaintext mode.
* [LMP] Support creating AN rules directly from the playlist.
* [LMP] Support displaying and manipulating relevant AN rules.
* [LMP] Added support for audio effects plugins.
* [LMP] Clear queue on setting new source.
* [LMP] Emit state change for old source on gapless track change.
* [LMP] Handle LATENCY messages.
* [LMP] Handle warning messages.
* [LMP] Ignore QOS messages.
* [LMP] Install QML to ${LC_QML_DEST} instead of bundling them.
* [LMP] Pass the URL object in the AN entity for #1611.
* [LMP] Set the AA urls directly without fetching.
* [LMP] Return actual source from GetCurrentSource().
* [LMP] Use actual source for emitting.
* [LMP] Use actual source in metadata getter.
* [LMP] Use actual source URL.
* [LMP] Avoid rare use-after-free condition.
* [LMP] Don't paint on icon if requested size is null.
* [LMP] Don't try painting on null pixmaps.
* [LMP] Fixed substitutions escaping code.
* [LMP] Fixed local collection model sorting.
* [LMP] Fixed volume level setting if exponent is not 1.
* [LMP] Fixed spawning multiple rescan processes if a whole directory tree has
  been changed at once (for example), because of unmounting.
* [LMP] Avoid leaking the DBs on LocalCollectionStorage destruction.
* [LMP] Fixed a crash on double-clicking in the collections tree.
* [LMP] Fix libsoup rank on play as well.
* [LMP] Hide buffer bar when switching to local track.
* [LMP] Load album art lazily and in a separate thread.
* [LMP] Maintain a set of items in playlist, speeding up concatenation a lot.
* [LMP] Match against "webkitwebsrc" (lowercased).
* [LMP] OR the fields during collection searching.
* [LMP] Replaced QSFPM with QIdentityProxyModel for dev browser, fixing a crash.
* [LMP] Set empty biography on new request.
* [LMP] Support multiselection in FS browser.
* [LMP] Never disable foreign_keys, move deffering into transaction instead,
  fixes a few nasty bugs.
* [LMP] Fixed build on Win32 gcc 4.9.0.
* [LMP Graffiti] Support editing files from LMP's collection and playlist menus.
* [LMP Graffiti] Added "set all" buttons.
* [LMP Graffiti] Parameterless slots.
* [LMP Graffiti] Support track numbers autofilling.
* [LMP Graffiti] Support track numbers manipulation.
* [LMP MTPSync] Moved album appending to a separate thread to avoid GUI freezes.
* [LMP MTPSync] Don't query devices when uploading (fixes spontaneous errors).
* [Monocle] Support document redirections.
* [Monocle] Added shortcuts for focusing to previous or next annotation.
* [Monocle] Shortcuts are now configurable.
* [Monocle] Added Copy context menu action to annotations.
* [Monocle] Black background for annotations by default.
* [Monocle] Focus on the annotation tab on ann select.
* [Monocle Postrus] Rewrote the plugin so that if just converts the .ps to .pdf
  in another process, avoiding conflicts with libpoppler.
* [MZ] Better candidates choosing.
* [MZ] Fetch & detect recordings types.
* [NetStoreManager] Support downloading multiple selected files.
* [NetStoreManager] Enable inotify only on Linux.
* [NetStoreManager GD] Fetch all pages instead of the first one.
* [NetStoreManager GD] Show ownerless items.
* [NewLife] Added support for Opera RSS import.
* [Otlozhu] Support hierarchies in GUI.
* [Otlozhu] Add "Add todo" button to the context menu.
* [Otlozhu] Added proper comment edit dialog.
* [Otlozhu] Fixed date editing dialog.
* [Otlozhu] Support cloning todo items.
* [Otlozhu] The calendar pane is now resizable.
* [Otlozhu] Configurable representation of finished items.
* [Pierre] Don't show the badge anymore, leave that to AN Dolle.
* [Pierre] Support showing all windows on dock icon click.
* [Poshuku] Added SSL security badge indicator and dialog.
* [Poshuku] Added Function.prototype.bind kludge for WebKit.
* [Poshuku] Avoid double-printing with print preview.
* [Poshuku] Support more node types in XML viewer.
* [Poshuku] Support multithreaded storage backend.
* [Poshuku] Fixed a long-standing crash when closing a tab with web inspector opened.
* [Poshuku] Properly save and restore zoom for tabs.
* [Poshuku] Avoid leaking the DBs in SQLStorageBackend dtor.
* [Poshuku] Save encoding in tab resume data.
* [Poshuku CW] Check frame base URL.
* [Poshuku CW] Handle child frames only when root frame is loaded.
* [SB2] Severely optimized the Desaturate effect.
* [SysNotify] Show the images associated with notifications if the server
  supports them.
* [SysNotify] Detect KDE backend & ignore timeouts in this case.
* [TSM] Support multiple windows: consider window index when restoring tabs.
* [XProxy] Migrate to Util's (possibly PCRE-enabled) regexps.

!!! 0.6.65
* New plugins:
	* Aggregator WebAccess — web interface for Aggregator.
	* CertMgr — SSL certificates manager.
	* CpuLoad — CPU load monitoring quark.
	* Ooronee — pastebin/datafilter API quark.
	* Rosenthal — spell check core.
* [Core] Key sequencer fixes.
* [Core] Use native strings for shortcuts in UI.
* [Core] Properly handle reply finishing while in SSL errors handler.
* [Core] Compact ranges in About dialog.
* [Core] Fix font issues on Mac OS X 10.9.
* [Core] Pass --restart instead of -restart.
* [Core] Thread-safe IconThemeEngine.
* [Overall] Support unbundled installs on Mac.
* [Aggregator] Support renaming feeds.
* [Aggregator] Slight refactoring and better plugin API.
* [Aggregator] Removed some old/outdated news feeds.
* [AnHero] Don't disable trace display.
* [AnHero] Highlight functions without address.
* [AnHero] Wait only for crash handler process.
* [AnHero] Print strerror() if exec() failed.
* [AnHero] Strip off first argument.
* [AnHero] Use --restart flag instead of shell kludge.
* [AnHero] Handle gdb errors.
* [Auscrie] Save last used data filter.
* [Auscrie] Show dialog on shoot action immediately.
* [Azoth] Support plugins with server history like XMPP or VKontakte.
* [Azoth] Support sending images via IDataFilter plugins.
* [Azoth] Better image sending dialog.
* [Azoth] Added "Mark all messages as read" group action.
* [Azoth] Fixed Enter button in All users list on Mac.
* [Azoth] Fix logic leading segfault in Xoox on leaving.
* [Azoth] Hide smiles tooltip on tab change.
* [Azoth] Added chat window text search.
* [Azoth] Make subj field read only if it can't be changed.
* [Azoth] Mark messages as read only if tab is current.
* [Azoth] Non-delayed sort model invalidation, workaround for a dreaded Qt bug.
* [Azoth] Remember last file path in file send dialog.
* [Azoth] Respect OpenTabOnNewMsg for highlight messages.
* [Azoth] Show Online/Full count if no filtering at all.
* [Azoth] Support manual status menus updating for #1514.
* [Azoth] Check for parent in date messages, avoids a crash.
* [Azoth] Close conf on /leave as well.
* [Azoth] Close smiles chooser on Esc.
* [Azoth] Configurable font size in msg edit, closes #1492.
* [Azoth] More dbg output on invalid CL entry.
* [Azoth] Show state icon in UsersListWidget.
* [Azoth] Fixed misaligned client icons in contacts.
* [Azoth] Fixed misaligned icons in accounts rows.
* [Azoth] Added an action to entry CL menu for inviting entry to MUCs.
* [Azoth] Don't suggest sending non-local URLs on DnD.
* [Azoth] Support dropping entries on MUC tabs (and vice versa).
* [Azoth AP] Set "PreserveMessageEdit" if cancelled.
* [Azoth Astrality] Fixed include path.
* [Azoth Acetamide] Properly handle network connectivity issues.
* [Azoth Autoidler] Changed poll timeout from 1 second to 10 to conserver power.
* [Azoth Autoidler] Use ApplicationServices to get idle time on Mac.
* [Azoth Depester] Show muted icon near ignored contacts.
* [Azoth Herbicide] Show multilines below for #1476.
* [Azoth Murm] Support server history.
* [Azoth Murm] Fixed handling of '<' in outgoing messages.
* [Azoth Murm] Fix a segfault on slow sends.
* [Azoth Murm] Offline messages are shown in proper order now.
* [Azoth Murm] Support renaming multiuser chats.
* [Azoth Murm] Support inviting users to multiuser chats.
* [Azoth Murm] Advertise self contact.
* [Azoth Murm] Added option to disable status string publication.
* [Azoth Murm] Optionally request offline permissions.
* [Azoth OTRoid] Fixed OTRv3 support.
* [Azoth OTRoid] Fixed use-after-free due to object lifetime.
* [Azoth OTRoid] Handle all error messages.
* [Azoth OTRoid] Mark messages as OTR on handling.
* [Azoth OTRoid] Ignore forwarded messages.
* [Azoth Rosenthal] Moved checking code to a separate plugin.
* [Azoth SS] Set word break, fixes horizontal scrolling.
* [Azoth VB] Fixed several compile-time warnings.
* [Azoth Xoox] Support Message Archive Management (XEP-0313).
* [Azoth Xoox] Support message carbons (XEP-0280).
* [Azoth Xoox] Support disabling requesting vcards and versions at all.
* [Azoth Xoox] Don't clear the cached roster if shutting down without going ever online.
* [Azoth Xoox] Normalize \r, \n and \t.
* [Azoth Xoox] Don't check for Ad-Hoc identity on the root node.
* [Azoth Xoox] Request the Ad-Hoc commands if node is empty.
* [Azoth Xoox] Don't emit null ptr in handleAutojoinQueue, fixes a crash.
* [Azoth Xoox] Implement RoomCLEntry::MarkMsgsRead().
* [Azoth Xoox] Support Description field on current QXmpp.
* [Azoth Xoox] Support organizations info with newer QXmpp.
* [Azoth Xoox] Added caps for: jabber.el, eyecu, sawim.
* [Blasq] Finally implement IImgSource to provide images to other plugins like LHTR.
* [Blasq] Implement IDataFilter to support uploading images from other plugins.
* [Blogique] fix Use-after-free in BlogiqueWidget.
* [CSTP] Handle POST operations.
* [CSTP] Pass task params to the task object.
* [CSTP] Properly set the Referer field.
* [CSTP] Properly update the Referer URL on redirections.
* [CSTP] Set Origin header.
* [CSTP] Fixed ugly crash with erroneous replies.
* [DeadLyrics] Don't really use the reply object after deleteLater().
* [DeadLyrics] Fixed crash with fast track changing in LMP.
* [HotSensors] Added max/crit temperatures as ranges.
* [HotSensors] Added FindSensors.cmake.
* [Imgaste] A little bit cleaner code.
* [Imgaste] Support IDataFilter callbacks.
* [Imgaste] We were probably leaking replies.
* [KBSwitch] Context menu for the indicator.
* [KBSwitch] Support changing language by mouse click.
* [KBSwitch] Fallback icon for the quark, fixes #1519.
* [KBSwitch] Check if X11 libraries are found.
* [Kinotify] Fixed action buttons alignment & rendering.
* [Kinotify] Removed unneeded Xrandr include.
* [Kinotify] Use sans-serif fonts.
* [KT] Don't cache images in QML.
* [LackMan] Space key toggles the state of a package now.
* [LackMan] vim-like package list navigation.
* [LackMan] Added (un)install/upgrade actions to view context menu.
* [LackMan] Select All/None in packages tree menu.
* [LackMan] Delayed fetch list updating to speed things up.
* [LackMan] Refactored tab into a separate class.
* [LastFMScrobble] Properly connect to submitter error signal.
* [Lemon] Check if cache is available and has been alloc'd.
* [Lemon] Hide quark by default.
* [LHTR] Support IImgSource for inserting images from e.g. Blasq.
* [LHTR] Added HTML highlighter for the HTML view.
* [LHTR] Don't sync HTML to View if there are parse errors.
* [Liznoo] Avoid leaking battery props on Mac.
* [Liznoo] Don't segfault on Mac if there is no battery.
* [LMP] Added ReplayGain filter effect.
* [LMP] Support automatic scanning files in local collection to compute ReplayGain info.
* [LMP] Support dynamic pipeline manipulation.
* [LMP] Added Delete shortcut for playlists mgr widget.
* [LMP] Own recursive dir watcher to avoid starving file descriptors on Mac.
* [LMP] Bigger icons and no titles in navbar.
* [LMP] Calculate selected tracks duration.
* [LMP] Added full play history/statistics table.
* [LMP] Avoid leaking tags messages.
* [LMP] Better error handling.
* [LMP] Better error messages when mask expanding fails.
* [LMP] Clear source after stop if it's not in queue.
* [LMP] Detect charge percentage in IUnmountableSync devs.
* [LMP] Don't convert const char* to char*.
* [LMP] Don't emit stateChanged() if it hasn't been changed.
* [LMP] Don't handleSourceChanged() on playback.
* [LMP] Don't transcode the video stream.
* [LMP] Recursive directory iteration is now cancellable.
* [LMP] Fix saving disabled sorting in playlist.
* [LMP] Fix segfault on empty collection in dynamic playlists.
* [LMP] Ignore "a " prefix in The-ignore mode as well.
* [LMP] It's ok to pass a playlist to Enqueue on DnD.
* [LMP] Notify UI about mask expansion issues.
* [LMP] Playing state change should notify about the song.
* [LMP] Playlist Delete shortcut should have widget context.
* [LMP] Properly restore sync format and bitrate type.
* [LMP] Remove TC row from the hash after finish, avoids a memory leak.
* [LMP] Save current source in custom playlists.
* [LMP] Set current source on enqueueing iff it was empty.
* [LMP] Set more env vars for gstreamer on Mac.
* [LMP] Shorter SourceObject destruction wait.
* [LMP] Skip to next track on SourceNotFound error instead of stopping playback.
* [LMP] Support metadata in m3u for #1474.
* [LMP] Unref the playbin on destruction, avoids a memory leak.
* [LMP] Update old source state after new emitting it.
* [LMP] Use encoded URLs for m3u playlists.
* [LMP] Use taglib for tags copying on transcoding.
* [LMP] When stream changes metadata obviously changes as well.
* [LMP] Zero-initialize length, year & track num.
* [LMP] Added GetAll method to the MPRIS Props adaptor.
* [LMP] xesam:artist should be a QStringList.
* [LMP] Support DnD for radios.
* [LMP] Collection models refactoring preparing for multiple collections.
* [LMP Graffiti] Support cancelling recursive iteration.
* [LMP Graffiti] Added path line edit with history.
* [LMP Graffiti] Add sorting to dir list.
* [LMP Graffiti] Better CUE image search.
* [LMP Graffiti] Properly handle Unicode in CUEs.
* [LMP Graffiti] Set / as root path for watcher.
* [LMP Graffiti] Handle DISCID.
* [LMP MTPSync] Avoid timer-based cache eviction.
* [LMP MTPSync] Don't warn about some common formats.
* [Monocle] Support documents with annotations.
* [Monocle] Fixed IsDisplayed() performance on big documents with lots of annotations.
* [Monocle] Added bigger timeout on presenter showing.
* [Monocle PDF] Support annotations.
* [Monocle PDF] Threaded rendering on Poppler ≥0.24.
* [Monocle PDF] Properly find poppler-cpp component.
* [MZ] Artist browsing w/ releases instead of lookups, avoids a request per album.
* [MZ] If several artists match select longest by timespans.
* [MZ] Added FindChromaprint.cmake.
* [MZ] Bigger request queue.
* [MZ] Remove '!' from artist names.
* [NewLife] Support Opera import.
* [NSM] Add prefix for roles and fill item with sorting data.
* [NSM] Fix uploading files to root dir.
* [NSM] Improve sorting.
* [NSM] Save last upload directory.
* [NSM GDrive] migrate to Util::MimeDetector.
* [Popishu] Support recoverable tabs.
* [Popishu] Added Recently Opened Files menu.
* [Popishu] Got rid of window menus at all.
* [Poshuku] Pass Referer and Operation in unsupported content.
* [Poshuku FA] Immediate storage sync.
* [Rosenthal] Support multiple dictionaries.
* [Rosenthal] Moved spellchecker logic from Azoth Rosenthal.
* [SB2] Support quarks hidden by default.
* [SB2] Detect just installed quarks without restarting LC.
* [SB2] Workaround for Ubuntu Qt crappiness.
* [SB2] Check for unhovered tab class before deleting the tabs list.
* [SB2] Don't cache images.
* [TL] Close on outside clicks, fixes #1521.
* [TL] Handle PgUp/PgDown keys.
* [TL] Removed the Delete button.
* [TS] Use "Authenticate" item to auth instead of being noisy.
* [TS] Fix one more segfault possibility.
* [TS] Proper members initialization for AlbumInfo.
* [TS] Set proper context name.
* [TS] Shorter queue (1 sec instead of 10).
* [TS] Clear albums map as well on refresh, fixes a crash.
* [TSM] Fixed saving same tab multiple times.
* [Util] Avoid leaking futures in ItemFinder.
* [Util] Fixed parsing /etc/os-release.
* [Util] VkAuthManager now supports silent mode.
* [Util] Support infinite tokens in VkAuthManager.
* [Util] Support hierarchical models in MergeModel.
* [Vrooby] Fixed mounting from other plugins in UDisks2.
* [Tools] Add gio and gconf schemas to the bundle.
* [Tools] Fix various paths in gstreamer plugins.
* [Tools] Know about lc tools in replacepath.py.
* [Tools] Mac bundle building now automated.

!!! 0.6.60
* New plugins:
	* Azoth Murm - VK support for Azoth.
	* Blasq - client for cloud image storages like Flickr, Picasa or VK.
	* Devmon - udev-based USB non-storage devices monitor.
	* Fenet - WM/compositor manager.
	* Imgaste - image uploader to services like imagebin.ca.
	* Krigstask - taskbar quark for SB2.
	* Laughty - system-wide D-Bus notification daemon.
	* LMP MTPSync - synchronization with MTP devices.
	* Mellonetray - system tray quark for SB2.
	* Scroblibre - submissions API 1.2-compliant scrobbler for arbitrary sites.
	* Sysnotify - notifications plugin using D-Bus notifications.
	* VtyuLC - VLC-based video player.
	* Xtazy - current tune fetcher from LMP or MPRIS.
* [Overall] Added desktop mode.
* [Overall] Support different icon packs for plugin icons.
* [Overall] Renamed base libs (lcutil -> leechcraft-util,
  xmlsettingsdialog -> leechcraft-xsd).
* [Core] Fixed a dreaded Qt bug with network disk cache leading to frequent
  crashes on some systems.
* [Core] Avoid tab scrolling, now tabs just get smaller and smaller.
* [Core] Added --additional command line switch.
* [Core] Better cookies handling: support for disabling cookies, whitelists,
  blacklists, deleting cookies on exit and the likes.
* [Core] Shortcuts for Close tab, Fullscreen, Quit, Settings and Tabs switching
  actions are now configurable.
* [Core] New tab menu is now nested: all tab classes from a plugin and its
  subplugins are in one submenu.
* [Core] Better new tab menu button.
* [Core] Better ActionButton in QML.
* [Core] Optimized startup a lot: parallelized initial plugin loading,
  optimized icons usage.
* [Core] Support opacities in ColorEngine.
* [Core] Fallback to default icon in shortcuts model.
* [Core] Fixed toolbar hiding order on tabs switching.
* [Core] Fixed closing last tab with mid button with lots of tabs.
* [Core] Fixed LC menu button behavior.
* [Core] Fixed re-showing toolbar after closing tab.
* [Core] Fixed tabs closing segfault.
* [Core] Fixed encoding for debug messages.
* [Core] Fixed associated side dock widgets handling.
* [Core] Better NetworkDiskCache::expire() method.
* [Util] ClearLineEditAddon for FindNotification.
* [Util] Clear expired cookies in CollectGarbage().
* [Util] Don't save session cookies.
* [XSD] Don't update the values while initializing (1.5-2x speedup).
* [XSD] Parse settings in init mode (100x loading speedup).
* [XSD] Write settings in a separate thread (considerable speedup on huge IO).
* [XSD] Schedule cleanup instead of immediate cleanup.
* [XSD] Source text can be in UTF-8 in settings.
* [AN] Support creating rules from other plugins (for example, for single-shot
  notifications from Azoth).
* [AN] Support event-dependent arguments in command handler.
* [AN] Added categories or package management, media player and generic events.
* [AN] Fixed several crashes on some systems.
* [AN] Fixed saving paths to custom sounds.
* [Aggregator] Keyboard shortcuts for items navigation (next, previous, next
  unread, previous unread).
* [Aggregator] Fixed crash on selecting empty area in the items list.
* [Aggregator] Fixed several rare crashes.
* [AnHero] Migrated to own crash handler, avoid KDE dependency.
* [AnHero] Optionally save crash dumps to a place where Dolozhee can
  automatically find it.
* [Auscrie] Moved uploading to Imgaste plugin, migrate to datafilters.
* [Azoth] Show a message whenever current date changes (at around 00:00).
* [Azoth] Support registering singleshot event notification rules like for
  contact status change with plugins like AN.
* [Azoth] Support opening chat with non-roster items if protocol supports that.
* [Azoth] Some actions, like chat opening or removal, now can be applied to
  multiple selected entries.
* [Azoth] Support changing permissions of a participant in all conferences
  where there are sufficient permissions.
* [Azoth] Added shortcuts for deleting current word; to beginning of current
  line and to the end of the current line.
* [Azoth] Added an action for changing nick without typing '/nick'.
* [Azoth] Support chat messages whose content can change on the fly (for media
  content in Murm for now only).
* [Azoth] Added font zoom setting, Ctrl+Shift+Wheel changes it locally.
* [Azoth] Added an option to hide status changes in private chats as well.
* [Azoth] Added rejoin action.
* [Azoth] Messages are now marked as read after being forwarded.
* [Azoth] Support account password changes.
* [Azoth] Try inviting user to a MUC on DnD.
* [Azoth] Much more shortcuts are now configurable.
* [Azoth] Delete entries on Delete key.
* [Azoth] Don't suggest protocol file transfers if they are disabled.
* [Azoth] Old/read messages separator is now displayed for just opened tabs as
  well.
* [Azoth] Support filtering Service Discovery.
* [Azoth] Keep information about window corresponding to a notification event.
* [Azoth] Status icons caching, severe performance boost.
* [Azoth] Fixed integration with job holder representators (like Summary or TPI
  plugins).
* [Azoth] Fixed several occasional crashes.
* [Azoth] Fixed several smiles handling issues.
* [Azoth] Show proper unread messages count on tab open.
* [Azoth] Finally fixed encoding for missing chat style plugin message.
* [Azoth] Don't accept rich text in group send dialog.
* [Azoth] Removed final dot in msg notification.
* [Azoth] Remove calls from entry when finished.
* [Azoth] Don't focus on newly opened tab.
* [Azoth AP] Added hastebin service.
* [Azoth AP] Added paste.org.ru service.
* [Azoth AP] Remember last used service and highlight (per-service).
* [Azoth LastSeen] Keep last status change info.
* [Azoth SS] Added Lime Dawn theme by Krigstask.
* [Azoth SS] Palette coloring now depends on chat style theme background
  instead of global Qt palette.
* [Azoth SS] Include proper xml header declaration in themes.
* [Azoth SS] Added a class for message delivery status icon.
* [Azoth Xoox] Added STUN/TURN to account configuration.
* [Azoth Xoox] Handle registration errors in in-band registration.
* [Azoth Xoox] Always disconnect from server on offline.
* [Azoth Xoox] Check if joining to in-roster entry.
* [Azoth Xoox] Handle and display incoming error messages.
* [Azoth Xoox] Fixed form builder-related crashes in in-band registration and
  MUC configuration.
* [Azoth Xoox] Fixed several Qt-related crashes.
* [Azoth Xoox] Restart registration process on socket error.
* [Azoth Xoox] Added support... err, kludge for cmake 2.8.12.
* [Azoth Xtazy] Moved tune-fetching logic into a new top-level plugin, Xtazy.
* [BitTorrent] Fixed several minor issues.
* [Blogique] Support service-specific tags in WYSIWYG, like <lj-cut/> for
  LiveJournal.
* [Blogique] Added blogs export to fb2, html, pdf and plaintext.
* [Blogique] Support previewing posts.
* [Blogique] Adding accounts from Blogique tab.
* [Blogique] Several tags cloud fixes.
* [Blogique] Use error labels instead of messageboxes
* [Blogique] Lots of behavioral fixes.
* [Blogique Hestia] Added default DB suggestion on account creation.
* [Blogique Metida] Support fetching friends lists.
* [Blogique Metida] Support modifying friends list with groups.
* [Blogique Metida] Support communities list.
* [Blogique Metida] Support sending messages.
* [Blogique Metida] Fixed comments and inbox checking.
* [CSTP] Set Accept and Host headers.
* [CSTP] Trim long URLs in notifications.
* [CSTP] Try using source entity as URL in filename maker.
* [CSTP] Support "Filename" Entity parameter.
* [CSTP] Convert dir paths to URLs.
* [CSTP] Don't handle just downloaded files.
* [CSTP] Handle only files instead of QNetworkReply objects.
* [DeadLyrics] Try recoding the lyrics to UTF-8.
* [DeadLyrics] Set referer for requests.
* [DeadLyrics] Added japanese lyrics sources and fixes
* [DeadLyRicS] Added updates for polish sources from clementine-player
* [DeadLyrics] Check for invalid indicators.
* [DeadLyrics] Log requests in debug builds.
* [DeadLyrics] Proper check for plaintext.
* [DeadLyrics] Better wrap plaintext in <pre>.
* [DeadLyrics] Properly handle \r and \r\n for plaintext lyrics.
* [Dolozhee] Support files attaching.
* [Dolozhee] Added preview page
* [Dolozhee] Autodetect if there are issues to send on LeechCraft startup after
  a crash, for example.
* [Dolozhee] Escape the sections contents.
* [Dolozhee] Remove \r from sent strings.
* [Dolozhee] Show upload progress.
* [Dolozhee] Support priorities in issues.
* [Glance] Create glance window with Dialog flag.
* [HotSensors] Migrated to a QML plot item instead of SVG generation.
* [HotStreams] Parse radio stations in a separate thread.
* [Kinotify] Experimental events compression.
* [Kinotify] Update notifications iff ID match.
* [LackMan] Properly cleanup staging directories.
* [LackMan] Don't add own actions to the toolbar.
* [LackMan] Notify via AN about updated packages.
* [Lackman] "Open LackMan" action in notification.
* [LastFMScrobble] Updated artist imgs fetching reflecting Last.FM API cleanup.
* [Launchy] Remember recently launched apps.
* [Launchy] Support launching commands in PATH.
* [Launchy] Autoselect first entry if none is selected.
* [Launchy] Conform to LC QML theme.
* [Launchy] Filter by item commands as well.
* [Launchy] More categories synonyms.
* [LHTR] Support custom tags.
* [LHTR] Added (optional) support for broken XHTML via htmltidy.
* [LHTR] Added "blockquote" action.
* [LHTR] always setup JS after setting content.
* [LHTR] Created/exposed Toggle View Action.
* [LHTR] use own bicycle instead of insertHTML.
* [LHTR] Support pure 'blockquote' action.
* [LHTR] Support removing inline tags.
* [LHTR] Support setting colors for all editors.
* [LHTR] Use proper content-type and DTD.
* [LHTR] Use XML mode instead of XHTML.
* [Liznoo] Added screen platform layer for screensaver prohibition from other
  plugins.
* [Liznoo] Added screen platform for FreeDesktop/DBus.
* [LMP] Migrated to GStreamer from Phonon (both 0.10 and 1.0 are supported).
* [LMP] Implemented one shot instant queue.
* [LMP] Expose audio piles (like VKontakte) for searching in Internet tab.
* [LMP] Notify about progress (like transcoding) via Job Holder API, like TPI
  or Summary.
* [LMP] Optional support for recoding non-Unicode tags via LibGuess.
* [LMP] Support (auto)refreshing radio stations.
* [LMP] Handle power state events for autopausing on sleeping/hibernation.
* [LMP] Resolve media info from collection if possible, speeds up playlist
  manipulation by two-three orders of magnitude.
* [LMP] Added shortcut for current track notification.
* [LMP] Added shortcuts for volume up/volume down.
* [LMP] Support for configurable exponential volume change.
* [LMP] Support refreshing unmountables in devsync.
* [LMP] Show additional images in biography view.
* [LMP] Notify with text on state change.
* [LMP] Added images QML caching.
* [LMP] Added support for radio bookmarks.
* [LMP] Ask for AA fetching on first collection add.
* [LMP] Load/save last transcoding parameters.
* [LMP] (Hopefully) nicer looking collection and playlist tree views.
* [LMP] Support autocontinuing playback on start.
* [LMP] Added notificationa about volume level.
* [LMP] Added .desktop file.
* [LMP] Distinguish between codec name and codec ID.
* [LMP] Better lyrics UI text.
* [LMP] Handle custom media info data in AudioPropsWidget.
* [LMP] Check if AA exists on fetch check.
* [LMP] Check if source is seekable before seeking.
* [LMP] Clear playlist search line edit on toggling.
* [LMP] Configurable album art storage path.
* [LMP] Don't double-add tracks with the same URI.
* [LMP] Don't set excessive LMP min height because of nav tabbar.
* [LMP] Don't store useless media infos for radios.
* [LMP] Fix playlist/collection/navbuttons palettes.
* [LMP] Properly notify about copy errors.
* [LMP] Proper sorting if there are non-local files.
* [LMP] Similarity label always under the name.
* [LMP] Use 'libvorbis' as encoder for OGG.
* [LMP Graffiti] Better notifications about split progress.
* [LMP Graffiti] Support notifying about cue split and tags fetching progres
  via job holder API, like Summary or TPI.
* [Monocle] Support arbitrary document/page rotations.
* [Monocle] Support datafilters for image selection.
* [Monocle] "export to PDF" feature.
* [Monocle] Handle left/right arrows in PresenterWidget.
* [Monocle] Immediately delete side widgets.
* [Monocle] Immediate setting for current page on load.
* [Monocle] Navigate on search via navigateRequested.
* [Monocle] Navigate to the current page on Presenter invocation.
* [Monocle] Avoid leaking Poppler's LinkDestination.
* [Monocle] Properly save dock width.
* [Monocle] Remember dock widget visibility.
* [Monocle] Smooth transform for PageGraphicsItem.
* [Monocle] Update on scale changes only if visible.
* [Monocle FxB] Set page background color from the palette.
* [Monocle PDF] Support unnamed destinations.
* [MZ] Migrate to FFmpeg 1.2 / swrescale.
* [Nacheku] Early bail-out of clipboard querying, fixes temporary freezes.
* [NSM] Support Job Holder API for progress notification.
* [NSM] Initial attempts at syncer.
* [NSM] Added CreateDirectory action to ToolBar.
* [NSM] Added posibility to create new dir in remote dir selection dialog.
* [NSM] Added return/backspace hotkeys.
* [NSM] Change notification type about uploading to PInfo.
* [NSM] default icon for unknown mime-type, open file action.
* [NSM] Notify about uploaded file independently of sharing.
* [NSM] Open files by double click.
* [NSM] Set filename for downloaded files
* [NSM] Show used space for items
* [NSM] Use last active account as default and auto request files
* [NSM GDrive] Add method for the type of hash algorithm of files.
* [Poshuku] Datafilters for page screenshots.
* [Poshuku] properly handle unsupported content.
* [Poshuku] Speed up history handling quite a lot.
* [Poshuku] Show filename as title if title is empty.
* [Poshuku] Properly filter out duplicates.
* [Poshuku] Fixed saving cancelled autoreload.
* [Poshuku Autopaste] Fixed copypaste errors.
* [Poshuku CleanWeb] Threaded filters parsing on load, avoids blocking for a
  second or two upon startup.
* [Poshuku CleanWeb] Threaded filtering, speeds up page loading by an order of
  magnitude or two.
* [Poshuku CleanWeb] Fixed subelements hiding.
* [Poshuku CleanWeb] Lots of fixes.
* [Poshuku FUA] Update UA list
* [SB2] Added panel settings like panel width or quark spacing.
* [SB2] Panel/quark settings are now dependent on launch type and panel position.
* [SB2] Appear as a separate dock in desktop mode.
* [SB2] Appear on all desktops in desktop mode.
* [SB2] Avoid panel overflow & controls hiding.
* [SB2] Fixed few geometry issues.
* [TL] Added Close button.
* [TS] Added support for fetching own and friends' stored tracks.
* [Vrooby] Support hiding devices.
* [Vrooby] Fixed unlabeled partition size reporting.

!!! 0.6.0
* Core: fixed showing toolbar after last tab is closed.
* Core: fixed reapplying color theme, explicitly setting palette on all
  widgets.
* Core: check if there is a tab before activating it on DnD.
* Core: set default locale according to language settings.
* Util: fixed a possible use-after-free error in ResourceLoader on large
  pixmaps.
* XSD: don't count an item with just set datasource as changed.
* AN: fixed three bugs that led to rules being considered modified when
  they weren't.
* Aggregator: feed URL string can already be encoded, check for it.
* Aggregator: fixed tooltip cleanup code, removing tags like font, span,
  div, p, h{1,2,3,4,5,6} tags.
* Aggregator: don't notify about zero something.
* Azoth: fixed a rare XML parsing issue.
* Azoth: cancel roster search on Esc or as soon as search text is empty.
* Azoth AdiumStyles: don't segfault on unknown entries.
* Azoth Autoidler: handle only Online and Free to Chat statuses.
* Azoth p100q: fixed bookmarks label in settings.
* Azoth Vader: fixed compatibility with crappy clients not knowing about
  BOM.
* Azoth Vader: fixed microblog status encoding.
* Azoth Xoox: fixed restoring file logging settings.
* Azoth Xoox: fixed cancelling connecting to the server if there is a
  network error.
* Azoth Xoox: added *.jpeg and *.bmp masks to avatar filter.
* Dolozhee: set proper stretch on widgets.
* LastFMScrobble: fixed leaking attend markers.
* LastFMScrobble: fixed leaking recent releases.
* Launchy: use own settings instead of messing with LMP.
* Liznoo: try autostarting UPower if it's unavailable.
* LMP: properly handle playlists on DnD.
* LMP: similarity label now is always under artist name.
* LMP: consider arbitrary-named album art if it's a single image.
* LMP: album-art autofetching now made optional.
* LMP: format datetimes according to locale settings.
* LMP Graffiti: fixed CUE splitting.
* LMP Graffiti: fixed linking issues with primary LMP library.
* LMP Graffiti: fixed garbage in plugin icon.
* Poshuku: set target="_blank" on links in widgets requested by other
  plugins.
* Poshuku: fixed freezing on garbage collection with large history
  databases.
* Poshuku CW: don't complain about unsupported filters.
* Summary: fixed leaking context menu actions.

!!! 0.5.99
* AN: fixed a typo in user string.
* AN: updated English and Russian translations.
* Azoth: auto-request logs for MUC participants as well.
* Azoth: fixed font zooming in fixed-font MUCs.
* Azoth CH: don't test the entry type, leave that to core.
* LMP: fixed a segfault on removable device removal in sync widget.
* Lemon: added Qwt 6.1 compatibility.
* Liznoo: added Qwt 6.1 compatibility.
* Monocle Mu: depend on openjpeg and jbig2dec, required by mupdf.
* Poshuku CleanWeb: fixed a rare segfault.

!!! 0.5.98
* Core: first show unassociated dock widgets.
* Core: fixed some segfaults on tab closes.
* Core: fixed notifications about current tab changes.
* Core: fixed reusing IDs for jobs.
* AN: moved "Update" button to a saner place.
* AN: check if current rule is modified & suggest saving.
* AN: fixed overlay text drawing on notification icons.
* Aggregator: always save provider for delegated jobs.
* Aggregator: download the rest of the feeds after killing a stall.
* Azoth: fixed several rare segfaults.
* Azoth: don't send "Paused" typing state after sending a message.
* Azoth: take user-entered groups into account in RIEX.
* Azoth: show JIDs in all users list.
* Azoth: show contact JID in chat tab entry info line.
* Azoth: activate first item in users list by default.
* Azoth: don't try sending contact ID to another on DnD.
* Azoth: change tab name after entry renaming.
* Azoth MetaContacts: don't suggest unifying with MUC entries.
* Azoth Xoox: properly handle server errors on form fetching.
* Azoth Xoox: fetch versions for variant-less items as well.
* Kinotify: fixed leaking state machine on each notification.
* LMP: fixed broken synchronization symbol fixing.
* LMP: temporary files are always removed after sync.
* LMP: metadata is now mapped properly from the source.
* Monocle: only render those pages that are actually visible.
* Monocle: don't set negative scales.
* Monocle: immediate scrolling to current page on load.
* Monocle: menu is shown only if mouse moved with a button pressed.
* Monocle Seen: safeguard against rendering a bunch of small images.
* TSM: fixed occasional segfaults on tab closes.
* Vrooby: proper partition naming in UDisks2 backend.

!!! 0.5.97
* Core: fixed colors for QML buttons (mucn neater now).
* Core: properly handle META key in shortcuts dialog.
* Core: properly set default string codec, fixes debug messages encoding.
* Util: fixed memory leak with QML and ColorThemeProxy.
* Util: fixed rectangle fitting algorithm.
* Azoth: fixed chat entry destruction on chat tab close.
* HotSensors: take text color from the QML theme.
* LackMan: fixed a typo in SQL query.
* Launchy: extended known category aliases for Multimedia.
* Monocle: keep page position on resize.
* NSM: fixed icons for tab context menu actions.
* TPI: update job name as well.
* TPI: don't show internal tasks.
* Vrooby: close the device popup on hoverout.

!!! 0.5.96
* Core: keep tab icon along tab moves between windows.
* Core: fixed toolbar handling on tab moves between windows.
* Core: fixed file locking threading issues.
* Core: fixed network disk cache expiration handling.
* Core: proper handling of forcefully closed unassociated dock widgets.
* Core: don't show actions with empty text in popup menus.
* Azoth: fixed autoscrolling.
* Azoth: application-wide users list shortcut.
* Azoth: case-insensitive users list filtering.
* Azoth: use proper icon for voice calls.
* Azoth Acetamide: made the channels list dialog non-modal.
* Azoth Acetamide: allow joining to channels while the list is fetched.
* Blogique: fixed progress indicator.
* Blogique Hestia: fixed autoupdating entries in local blog.
* Monocle Postrus: fixed FindLibSpectre.cmake for upcoming CMake.
* LMP: fix rare segfaults on queue clearing.
* LMP: clear last song data on player clearing.
* LMP: support drags from filesystem browser.
* LMP: replace queue on playlist activation.
* LMP: properly restore play mode check state.
* Popishu: fixed caret line background color.
* VB: don't own conversation by the buddy, fixes multiple segfaults.

!!! 0.5.95
* Overall: Use Qt's Q_DECL_IMPORT\EXPORT defines.
* Core: multiwindow support (though experimental for now).
* Core: handle Drag'n'Drop for tabs.
* Core: completely reworked dock management.
* Core: added Clang build quirks for Qt.
* Core: support setting alternative key sequences for shortcuts.
* Core: don't add tab that was already added.
* Core: fixed installation of util/ and interfaces/ headers.
* Core: guard NetworkDiskCache::prepare() by a mutex as well.
* Core: manipulate current tab toolbar visibility via max height.
* Core: set library load hints in plugin load mode as well.
* Core: set window role according to tabclass.
* Core: set WM_CLASS.
* Core: try demangling library load error name.
* Core: updated ask selection algorithm.
* Util: fixed FItRectScreen and friends.
* Util: support fitting into arbitrary geometries.
* Util: use absoluteFilePath() instead of canonicalFilePath() (xstat is slow on Linux).
* XSD: handle row modifications in data views.
* XSD: support color/bgcolor attributes for ItemHandlerCombobox.
* Aggregator: two-fold Core::GetCategories() speedup,
* Aggregator: optimized channel changes (don't request items twice).
* Aggregator: don't select all categories in items view.
* Aggregator: erase tags & normalize entities in items list.
* Aggregator: strip <img> tags in item tooltips.
* AN: added rules management quark.
* AN: added support for the Downloads category.
* AN: properly update types list on cat change.
* AN: hopefully fixed alert() behavior on X11.
* AN: added error/success sounds.
* AN: fixed custom rules not saving.
* AN: fixed counter behavior without initial value.
* Azoth: support perm role changes with reason from GUI.
* Azoth: properly support custom saved statuses.
* Azoth: Alt+C shows all users from all accounts now.
* Azoth: MUC users list action.
* Azoth: save custom formatting state for tabs.
* Azoth: different tab classes for chats and MUCs.
* Azoth: added full entry ID copy action.
* Azoth: clear focus proxy on chat tab destruction.
* Azoth: optimized delayed tooltip rebuild.
* Azoth: delete messages on full-purge (avoids a memory leak).
* Azoth: don't double-call PrepareTheme().
* Azoth: find links method in ProxyObject.
* Azoth: get rid of GetMessage() functions (helps Windows build).
* Azoth: handle MUC event log window closes.
* Azoth: keep track of the "current" state in tabs.
* Azoth: lose current on remove iff the tab was current.
* Azoth: RosterMode widget action.
* Azoth: notify if a user isn't present in the MUC.
* Azoth: Open last link shortcut & feature.
* Azoth: support URL shortening.
* Azoth: option to hide self-contacts.
* Azoth: option to hide tabs for autojoined MUCs.
* Azoth: option to show foreign resource in private chats.
* Azoth: bigger timeout for vcard request queue.
* Azoth: slightly optimized AnimatedIconManager.
* Azoth: fixed logic for checking whether active variant should be changed.
* Azoth: fit MUC events into current screen.
* Azoth: fixed console XML packets handling/display.
* Azoth: fixed "open new tab on message" behavior.
* Azoth: fixed tooltip for MUC participants.
* Azoth: fix segfault on PGP key selection.
* Azoth: fixed a security issue with file:// links.
* Azoth: fixed www-links.
* Azoth: fixed requiring non-required fields in FormBuilder.
* Azoth: fixed a rare segfault with MUC participants with unread messages but having already left.
* Azoth Acetamide: add channel list widget.
* Azoth AS: bigger avatar cache.
* Azoth AS: don't clean caches on frame destroy.
* Azoth Autoidler: always set custom statuses.
* Azoth CH: added acc2users table, considerably speeding up loading history.
* Azoth CH: don't store old MUC messages (avoid doubling recent messages).
* Azoth CH: enforce FOREIGN KEY constraint.
* Azoth CH: fixed keeping azoth_acc2users in sync.
* Azoth CH: fixed user removal from history.
* Azoth CH: use splitter in CH widget.
* Azoth Modnok: don't antialias background.
* Azoth Modnok: invalidate cache on formula color change.
* Azoth Modnok: text color property in settings.
* Azoth p100q: added translation update targets.
* Azoth p100q: updated translations.
* Azoth SS: added Lemon Night.
* Azoth SS: correclty set base URL for themes.
* Azoth SS: updated Lemon Night theme.
* Azoth Vader: fixed showing contacts after turning back online.
* Azoth VB: new plugin, experimental libpurple support layer.
* Azoth Xoox: display avatars on avatar click in VCards.
* Azoth Xoox: forward rich body as well in Ad-Hoc commands.
* Azoth Xoox: multiple performance optimizations.
* Azoth Xoox: added IsAutojoined() conf method.
* Azoth Xoox: Block Contacts action for CL entries.
* Azoth Xoox: clear fetch queues when going offline.
* Azoth Xoox: delete unread messages as well.
* Azoth Xoox: don't escape forwarded messages.
* Azoth Xoox: don't notify every resource when going offline.
* Azoth Xoox: don't request versions on bare JIDs.
* Azoth Xoox: expose TLS settings.
* Azoth Xoox: fetch conference name from bookmarks.
* Azoth Xoox: fixed account password updating.
* Azoth Xoox: fixed self contact status handling.
* Azoth Xoox: GetMessage() -> GetNativeMessage().
* Azoth Xoox: hopefully fixed removing rosterless items.
* Azoth Xoox: option to disable VCard requests in MUCs.
* Azoth Xoox: option to not request versions in MUCs.
* Azoth Xoox: proper parenting for EntryBase commands.
* Azoth Xoox: register OS version handler.
* Azoth Xoox: special handling for 'this instance' in self contact.
* Azoth Xoox: suggest registering on leechcraft.org server.
* BitTorrent: emit AN-enabled download notifications.
* BitTorrent: fixed selection model handling.
* BitTorrent: rely on Util::SysPath::Share for country flags.
* BitTorrent: support multi selections.
* BitTorrent: update actions state on selection change.
* BitTorrent: use save path from the torrent file if it's downloaded.
* Blogique: add autosave feature.
* Blogique: add BPFLocalBlog feature.
* Blogique: add empty storagemanager.
* Blogique: add LocalBlog feature.
* Blogique: add progress of actions with remove blog and fix #989.
* Blogique: associate dock widget with the preferred tab.
* Blogique: open in new tab by default.
* Blogique: open remote/local entries in current and new tabs.
* Blogique: save calendar visibility in drafts widget.
* Blogique: set window/action icon for dock widget.
* Blogique: show entries.
* Blogique: added TSM support for session management and tabs unclose.
* Blogique: notification actions in notify about entry posted.
* Blogique: use pluginId-based connection name for db.
* Blogique Hestia: new plugin for local blogging.
* Blogique Metida: support recent comments.
* Blogique Metida: better handle network errors.
* Blogique Metida: get inbox messages.
* CSTP: actions for correctly finished tasks.
* CSTP: emit AN-rich download entity.
* CSTP: Use FILENAME_MAX instead of _MAX_FNAME. Fixes MinGW build.
* Dolozhee: use projects API for issue categories.
* Dumbeep: fixed licensing.
* EiskaltDC++: migrated to leechcraft-defunct-eiskaltdcpp repo.
* Fix .desktop files: added Main Category. See: http://standards.freedesktop.org/menu-spec/1.0/apa.html
* GActs: Add BUILD_QXT_GUI define for proper bundled Qxt compile on Win32.
* GActs: option to use bundled Qxt with fixed media keys.
* Glance: actually set the shortcut as well.
* Glance: changed window type to Utility.
* Glance: configurable shortcut now.
* GMN: migrated to being a quark.
* GMN: slightly refactored notifications; removed tray icon.
* HotSensors: new plugin for monitoring temperatures.
* Kinotify: added CreateTrsUpTarget.
* Kinotify: clarified settings.
* Kinotify: install the translator.
* Kinotify: mouse following is now optional.
* Kinotify: updated translations.
* Kinotify: use new LC window manager stuff on Win32 and fix MinGW compile.
* LackMan: always show package name in package descr box.
* LastFMScrobble: emit even empty recommended events data.
* Launchy: support favorites.
* Launchy: added Launchy quark displaying apps from favorites.
* Launchy: support keyboard navigation in full screen launcher.
* Launchy: (configurable) shortcut for FS launcher.
* Launchy: no animation on items removal (workaround Qt bug).
* LCFTP: removed this plugin as defunct.
* Lemon: display a quark with active interfaces.
* LHTR: support inserting tables.
* LHTR: added AppendSeparator() method to API.
* LHTR: emit textChanged() signal when contents are changed.
* LHTR: have settings.
* LHTR: settings for background color/overriding.
* LHTR: support wrapping in a link arbitrary content.
* LHTR: <Tab> to indent paragraphs.
* LHTR: white background.
* Liznoo: add design capacity property to batteries.
* Liznoo: avoid segfault on opening empty history.
* Liznoo: buttons for event debugging.
* Liznoo: fixed FindQwt cmake script.
* Liznoo: fixed FindQwt.cmake to work with Homebrew.
* Liznoo: fixed initial enumeration on Linux.
* Liznoo: More strict GUID compare on Win32 Liznoo implementation.
* Liznoo: query battery info on Mac.
* Liznoo: show capacity/voltage stuff in history dialog.
* Liznoo: show temperature in BatteryHistoryDialog.
* LMP: added artist browser launchable from a bunch of different places.
* LMP: added album art manager.
* LMP: support previewing whole albums.
* LMP: fixed MPRIS support.
* LMP: added ShuffleAlbums and ShuffleArtists play mode.
* LMP: better random in shuffle (I hope).
* LMP: fixed HypesView button overlap.
* LMP: fixed restoring last song on load.
* LMP: notify if no bio fetchers are available.
* LMP: playlist shuffle action.
* LMP: preview full albums from biography.
* LMP: preview mode for album art manager.
* LMP: replace ? and / with _ in SyncManager.
* LMP: sameness source checking.
* LMP: stick to constant object name when registering MPRIS.
* LMP: substitution elements getters/setters.
* LMP: support dropping directories on the playlist.
* LMP: use PreviewAudioButton in {Hypes,Similar}View.
* LMP Graffity: new plugin for tagging, CUE splitting and tags requesting.
* Monocle: support thumbnails.
* Monocle: support bookmarks.
* Monocle: support filling forms.
* Monocle: support text searching.
* Monocle: keep document state between document loads.
* Monocle: fixed zoom in / zoom out behavior on fit modes.
* Monocle: invoke DocInfoDialog.
* Monocle: ISaveableDocument.
* Monocle: next/prev find shortcuts.
* Monocle: remember last opened path.
* Monocle: save dock position.
* Monocle: save scale mode in the doc state as well.
* Monocle: support DND; DocumentTab now implements IDNDTab.
* Monocle: support saving selection as image.
* Monocle: support searching with data filters for selected text.
* Monocle FXB: a huge optimization of typical docs.
* Monocle FXB: optimized paragraph handling.
* Monocle FXB: support text searching.
* Monocle PDF: support filling forms.
* Monocle PDF: support text searching.
* Monocle Seen: fixed a possible segfault on DjVu docs.
* MZ: fixed Chroma calculation.
* MZ: threaded Chroma calculation.
* MZ: support fetching tabs.
* MZ: proper mutex locking in Chroma calculator.
* NSM: reworked UI and logic a lot.
* Pogooglue: don't replace ' ' with '+'.
* Pogooglue: escape user input.
* Pogooglue: fixed googling for URLs.
* Poshuku: support DND for tabs.
* Poshuku: fixed ghost URL label (finally!).
* Poshuku: avoid duplicates in history model in same section.
* Poshuku: support filtering history by URLs.
* Poshuku Autosearch: added Google Suggest client plugin.
* Poshuku CleanWeb: fixed possible infinite recursion.
* SB2: support moving, reordering and removing quarks.
* SB2: support tooltips for quarks.
* SB2: support placing SB2 toolbar near all for sides of the window.
* SB2: handle actions' shortcuts on SB2.
* SB2: handle hovering QCs in QuarkOrderView.
* SB2: implement IHaveShortcuts.
* SB2: shortcut for hiding panel.
* SeekThru: remove null categories from filter variants.
* SeekThru: suggest searchplugins.net.
* ShellOpen: don't build by default.
* Sidebar: removed this plugin in favour of SB2.
* Summary: only single tab and IFinder-less Summary now.
* Tab++: removed this plugin as defunct.
* TabsList: configurable shortcut.
* TabsList: number-based navigation.
* TouchStreams: set IsRequesting to true on auth request.
* TPI: fixed code style.
* TPI: fixed horizontal orientation for blocks.
* TPI: handle changes in total status.
* TPI: properly fit tooltip for TPI.
* TransparentArch: removed the stub.
* TSM: adapted to new multiwindow features.
* TSM: always remove widget from tabs list on removal.
* TSM: restore tab on its previous position.
* TSM: save full tab list, filter recoverables later.
* VFScore: removed this one, it's a no-go for Qt 5.
* Vrooby: added UDisks2-backend.
* Vrooby: support compiling with several backends at once.
* Vrooby: try automatically starting backends if they aren't running.
* Win32: Add Windows version definitons and remove useless includes with  WIN32_LEAN_AND_MEAN define.
* Win32: MinGW build scripts update.
* Win32: nasty bug in Qt's qmoc. Fixed in Qt 5, but we need a workaround for now. see https://bugreports.qt-project.org/browse/QTBUG-22829 (cherry picked from commit 2861d90d3e47ecefc8966a03d693014358396e87)
* Win32: Revert -DBOOST_ALL_NO_LIB as it worked before (cherry picked from commit 1198440bd3ccd3f08c7a0d1a7c8e4afd6dcea8c3)
* XProxy: fill request port for known protocols.

!!! 0.5.90
* AN: don't show notification icons on Mac.
* AN: emit notification count info.
* AN: resolved ghost icons on Win32 after LC shutdown.
* AN: support for hiding the notifier on hover out events.
* AN: wait for at least a second between audio notifications.
* Azoth: added miranda-ng icon.
* Azoth: support overriding the nick color list.
* Azoth: added Tatar translations.
* Azoth: don't set the Animated flag for tree.
* Azoth: focus on set key in PGPKeySelectionDialog.
* Azoth: more contact controls in tabs.
* Azoth: use Qt::ALT key on Mac OS X for history navigation.
* Azoth: proper initialization order.
* Azoth: properly handle "www."-only links without scheme.
* Azoth: query installed data filters for search.
* Azoth: ignore disabled accounts everywhere.
* Azoth: try opening URL-looking things as URLs.
* Azoth: try self-handling links.
* Azoth: freaking ugly kludge around QTBUG-16292.
* Azoth: don't segfault if account was removed before console.
* Azoth: don't segfault on recover if acc ID has been changed.
* Azoth: lots of optimizations.
* Azoth Autoidler: link to CoreFoundation and Carbon on Mac OS X.
* Azoth Acetamide: added .desktop file.
* Azoth Acetamide: fixed nicknames in history.
* Azoth Astrality: proper deinitialization.
* Azoth Autopaste: added bpaste.net service.
* Azoth CH: install clear line edits in ChatHistoryWidget.
* Azoth CH: added history loading indicator.
* Azoth MC: don't re-add entries that were removed from real account.
* Azoth MC: properly release MC account.
* Azoth OTRoid: basic libotr-4 compatibility.
* Azoth OTRoid: fixed build with libotr-3.
* Azoth OTRoid: libotr-4 timer support.
* Azoth SHX: new plugin for commands execution.
* Azoth Vader: proper account de-initialization.
* Azoth Xoox: added .desktop file.
* Azoth Xoox: added spectrum.im and miranda-ng caps identifiers.
* Azoth Xoox: fixed rare incorrect User Tune PEPs.
* Azoth Xoox: enable all FT methods on account creation.
* Azoth Xoox: 'none' caps kludge.
* Azoth Xoox: optionally advertise Qt version.
* Azoth Xoox: OS version advertising is now optional.
* Azoth Xoox: publish track number as well in User Tune.
* Azoth Xoox: remove entities on account removal.
* Azoth Xoox: lots of optimizations.
* BitTorrent: added torrent tab, moving most of UI stuff there.
* BitTorrent: added a .desktop file to open torrents.
* BitTorrent: added clear line edit action to tab search.
* BitTorrent: migrate to new API in 0.16.x.
* Blogique: new plugin for blogging.
* Core: added color themes.
* Core: added DNT support.
* Core: docks tabification.
* Core: movable tabs with initial support for Drag'n'Drop.
* Core: don't pass `leechcraft` as arg on command line invocations.
* Core: fixed nasty memory corruption bug.
* Core: fixed "settings" button in plugins list.
* Core: recurse into submenus in UpdateIconSet.
* Core: removed some quirks for older Qts.
* Core: reworked entity management.
* Core: try guessing the type of the passed parameter.
* Core: unicode fixes for command line arg parsing.
* Core: use Qt::ALT on Mac OS for tabs navigation.
* CSTP: don't send Range: 0- header, helps caching.
* DeadLyrics: get rid of settings (they are empty now).
* Dolozhee: check "Existing user" if there is a saved login.
* Dumbeep: new plugin for audio notifications for those fearing LMP.
* GN: action in tray for the number of unread msgs.
* GN: added GMail icon.
* HistoryHolder: delayed history updating.
* HotStreams: added RockRadio support.
* Kinotify: Mac OS X fixes.
* Kinotify: Now using native notification state query on Windows Vista and later.
* LackMan: better newer multicolumn checkbox-based list.
* Lads: Global menu.
* Lads: icon added.
* Lads: Unity detection fix.
* LastFMScrobble: fetch hypes.
* LastFMScrobble: fixed possible segfault when no scrobbler is available.
* Lemon: new plugin for network interfaces monitoring.
* LHTR: find/replace support.
* LHTR: proper link opening.
* LHTR: support for <code> command.
* Liznoo: Mac platform layer.
* LMP: support for track/artist/album previews via plugins like TouchStreams.
* LMP: severe loading optimizations.
* LMP: datetime-based rescanning; so only new files really get rescanned.
* LMP: added support for fetching hypes.
* LMP: support custom sorting criteria in playlist.
* LMP: added stations searcher.
* LMP: better handle crappy tags in playlist delegate.
* LMP: clickable album title in Recent Releases.
* LMP: display discography in biography (if plugins like MusicZombie are available).
* LMP: fixed playlist delegate when there is no title.
* LMP: fixed unifying tagless entities.
* LMP: loved/banned tracks dynamic playlists.
* LMP: rescale big album art in a separate thread.
* LMP: wrap album title in Bio & dynamic item height.
* LMP: lots of other fixes.
* LMP MTPS: detect file type.
* LMP MTPS: upload basically working.
* Monocle: Desktop file to open pdf/djvu/fb2 via LC.
* Monocle: check if the loaded document is really valid.
* Monocle: content-based backend selector.
* Monocle: delayed onload navigation.
* Monocle: fixed menu non-displaying after "copy as image".
* Monocle: handle only user-initiated entities.
* Monocle: queued connection for navigation requests.
* Monocle: relayout on size changes.
* Monocle: support smooth scrolling.
* Monocle: try resolving relative paths on navigation requests.
* Monocle: zoom in / zoom out buttons.
* Monocle PDF: handle external links.
* Monocle PDF: icon added
* Monocle Postrus: new plugin for PostScript files.
* MZ: new plugin for MusicBrainz support.
* New Life: case-insensitive profile searcher.
* Overall: removed -fno-strict-aliasing flag.
* Overall: build with clang -pedantic without warnings.
* Overall: fixed lambda extensions usage.
* Overall: moved .desktop files to corresponding plugins dirs.
* Overall: "not defined" -> "!defined".
* Pierre: added DockUtil.
* Pierre: added tray icon hooks & menu.
* Pierre: fixed copyrights.
* Pierre: handle x-leechcraft/notification-event-count-info entities.
* Pogooglue: implement IEntityHandler/IDataFilter & Google.
* Poshuku: reverted back to QWidget-based WebKit.
* Poshuku: format XMLs.
* Poshuku: handle port nums in URL guesser.
* Poshuku: clear selection on next search.
* Poshuku CW: avoid name clash/overlap.
* Poshuku CW: try detect & consider request MIME type.
* SB2: new plugin for next-gen sidebar.
* SeekThru: support the new data filters architecture.
* Shaitan: new plugin for terminal emulation.
* ShellOpen: handle only really downloaded files.
* TouchStreams: new plugin for VK.com music streaming.
* TPI: new plugin for task progress indication.
* Vrooby: icon added
* Win32: fix crash on Win32 when closing LC.
* XSD: don't keep settings file open.

!!! 0.5.85
! Devel digest #32 ( http://leechcraft.org/devel-digest-32 ):
* Core: use system style by default instead of Plastique.
* Core: workaround for QTBUG-13175.
* Overall: Mac OS build/runtime fixes.
* XmlSettingsDialog: support searching for settings.
* AdvancedNotifications: proper notifications view height.
* Azoth: separate dialog for file sending, supporting file comments and
  sending via NSM-like plugins.
* Azoth: much improved DnD support for file/images sending.
* Azoth: user-visible strings are properly escaped in contact tooltips.
* Azoth: fixed Ctrl+1 handling.
* Azoth Autopaste: added support for Python language.
* Azoth ChatHistory: fixed links not being clickable sometimes.
* Azoth Metacontacts: show dummy account iff there are metacontacts.
* Azoth Xoox: automatic SOCKS5 proxy discovery.
* Azoth Xoox: support manually overriding SOCKS5 proxy.
* Azoth Xoox: selectable file transfer methods.
* HotStreams: fetch radio list from dir.xiph.org.
* LastFMScrobble: fixed tags ordering in biography info.
* LastFMScrobble: fixed build with Debian liblastfm snapshot.
* LMP: playlist loading is now asynchronous.
* LMP: autodetect and rescan changed files.
* LMP: remember last used events/biography/etc providers.
* LMP: clickable artist names in biography/similar/etc view.
* LMP: choosing next track now respects play mode.
* LMP: fixed Repeat Album play mode.
* LMP: improved transcoding params.
* LMP: up/down buttons.
* LMP: rescan fixes.
* LMP DumbSync: support uploading covers as well.
* Monocle: fixed fitting ratio calculation.
* Pierre: Mac OS X integration layer.
* Poshuku: menus for back/forward history navigation.
* Poshuku: reworked bookmarks management UI.
* Poshuku CleanWeb: severely optimized, improved AdBlock+ compatibility.
* TabsList: handle Enter, Return, Home and End buttons.
* TabSessManager: tabs order is now saved as well.

! Devel digest #31 ( http://leechcraft.org/devel-digest-31 ):
* Core: support restaring LeechCraft from LeechCraft.
* Core: support setting startup password.
* Azoth: fixed a rare segfault where nick hash was negative.
* Azoth: leave chat view enabled when the other contact is deleted.
* Azoth: added "clear line edit" to roster filter.
* Azoth Autopaste: allow choosing the paste service and highlighting.
* Azoth Vader: online/offline status handling fixes.
* Azoth Xoox: support editing registration information on gateways.
* Azoth Xoox: properly reconnect after account changes.
* Azoth Xoox: logging all data to file is now optional.
* Azoth Xoox: finally synced with upstream QXmpp.
* DBusManager: expose plugins like NetStoreManager via D-Bus.
* LastFMScrobble: support fetching recommended events.
* Launchy: new plugin for launching applications and LC tabs.
* LMP: detect deleted files.
* LMP: deleting tracks from UI.
* LMP: fetch & display recommended events.
* LMP: properly re-add root paths on rescan.
* LMP: directory iterator now asynchronous in FS watcher.
* LMP: scale pixmaps to 48x48 in playlist, conserves memory a lot.
* LMP: play on Enter/Space/Return.
* LMP: support playlist searching.
* LMP: handle links in biography and similar views.
* LMP: fetch artist image for radio tracks.
* LMP: support banning current track.
* LMP: support deleting static playlists.
* LMP: support Phonon in non-KDE installations.
* LMP: "clear line edit" in collection and playlist filters.
* LMP: background blurring in QML templates.
* LMP: lots of small QML template fixes and improvements.
* Monocle Seen: new plugin for DjVu format support.

! Devel digest #30 ( http://leechcraft.org/devel-digest-30 ):
* Core: use native file dialogs.
* Core: subplugins are now in their parent plugins' settings pages.
* Azoth: adjust variant chooser to contents.
* Azoth: fixed non-expanding smiles in smiles chooser.
* Azoth: MUC-aware groups sorting (MUC groups are now at the bottom).
* Azoth: optional separate MUC log.
* Azoth: fixed handling of tabs losing focus.
* Azoth: fixed several segfaults.
* Azoth Acetamide: support 307, 310, 320, 378 answers for UnrealIRCD.
* Azoth Acetamide: default IRC port is 6667 now.
* Azoth p100q: support in-place insertions instead of replaces.
* Azoth p100q: fixed last ID shortcut.
* Azoth Xoox: detect and eliminate duplicate bookmarks.
* Azoth Xoox: fixed a bug in stanza generation in XEP-0016.
* Azoth Xoox: proper Cancel/Auth error handling.
* Azoth Xoox: don't reconnect on account nick change.
* Dolozhee: fixed reporting Core issues.
* HotStreams: added new plugin, supporting SomaFM, Digitally Imported,
  SkyFM and 42fm.ru.
* Kinotify: configurable screen corner for the notifier balloon.
* LackMan: remove caching.
* Liznoo: added FreeBSD native platform backend.
* LMP: reworked radio plugins interoperation.
* LMP: added listview-based tabs switcher.
* LMP: added buffer status indicator.
* LMP: added collection statistics dialog.
* LMP: new collection items are added immediately.
* NetStoreManager: lots of improvements, like better support for DnD.
* NetStoreManager: removed obsolete support for Yandex.Narod service.
* Poshuku: fixed error page template.

!!! 0.5.80
! Devel digest #29 ( http://leechcraft.org/devel-digest-29 ):
* Core: fallback to using external apps is now optional.
* Core: fixed showing main window in some WMs.
* Azoth: autoselect other resources only when a chat message is recieved.
* Azoth: tooltip is updated on avatar changes.
* Azoth: fixed a couple of bookmarks-related memory leaks.
* Azoth: added default queries in Service Discovery.
* Azoth: more compatibility with full Unicode JIDs.
* Azoth: MUC icon is preserved on MUC tabs on account state change.
* Azoth: slightly changed variant state change handler.
* Azoth: MUCs with unread messages are marked with "*" now.
* Azoth BirthdayNotifier: new plugin for notifying about birthdays.
* Azoth ChatHistory: dates with logs for that day are displayed in bold.
* Azoth ChatHistory: configurable amount of logs to show on one page.
* Azoth Xoox: synced QXmpp with upstream.
* Azoth Xoox: added icon for odnoklassniki.
* Azoth Xoox: birthday field is now editable for self vcards.
* Azoth Xtazy: added /np and /sharesong commands.
* BitTorrent: optional flags for peers' countries.
* Glance: nice Close button right on thumbnails.
* LMP: initial support for MP3tunes.com service: uploading & playlists.
* LMP: support different sorting styles in the playlist.
* LMP: support Drag'n'Drop and actions for reordering items in the playlist.
* LMP: all found lyrics can be displayed, not the last found one.
* LMP: faster prescaler for huge album arts in notifications.
* LMP: fixed compatibility with taglib built without ASF or MP4.
* NSM: initial Google Drive support.
* NSM: other plugins can request uploads now.

! Devel digest #28 ( http://leechcraft.org/devel-digest-28 ):
* Aggregator: support exporting feeds to PDF.
* Azoth: display avatar in tooltips.
* Azoth: fixed a segfault when Ctrl+Clicking.
* BitTorrent: compatibility with Boost-1.50.
* Dolozhee: fetch the list of issue categories and assign issues to them.
* LastFMScrobble: expose some predefined radio stations.
* LastFMScrobble: liblastfm-1.0 compatibility.
* LMP: support adding artists to wishlists.
* LMP: support predefined radio stations from radio plugins.
* LMP: playlist stats below the playlist.
* LMP: configurable shortcuts.
* LMP: close the Album Art display on Esc or mouse click.
* LMP: added an option to ignore "The " when sorting artists.
* LMP: URLs are displayed in playlist instead of just the string "URL".
* LMP: fixed background in QMLs.
* LMP: more file types are now supported.
* Otlozhu: support adding tasks from other plugins.
* Vrooby: fixed a segfault on startup on some systems.

!!! 0.5.75
! Devel digest #27 ( http://leechcraft.org/devel-digest-27 ):
* Core: ignore LanguageChange event.
* Core: cache sorted plugins list.
* Core: pixmap cache in ResourceLoader.
* Core: allow to disable resource caching.
* Core: removed a bunch of dead code.
* Core: fixed a possible segfault when there are no handlers for entity.
* Core: tab bar can be moved to the bottom.
* XSD: fixed handling of non-latin1 keys.
* Overall: GetIcon() returns a static icon now.
* Overall: several other performance optimizations.
* AdvancedNotifications: fixed QML notifier on some multimonitor systems.
* Azoth: Ctrl+Click in roster inserts the corresponding nickname.
* Azoth Herbicide: block authorization requests as well.
* Azoth p100q: fixed recommending comments.
* Azoth Xoox: action for modifying self vCard in account menu.
* Azoth Xoox: fix for client connection handling, and a possible segfault.
* LastFMScrobble: added support for liblastfm-1.0.
* LMP: support for uploading & transcoding files from collection.
* LMP: show full-scale album art when requested.
* LMP: dynamic playlist menu.
* LMP: support copying properties from the properties display widget.
* LMP: properly handle collections with unscannable items.
* LMP: communicate with scrobblers only after SecondInit.
* Poshuku WYFV: removed this plugin.
* Vrooby: new device manager plugin, with UDisks1 backend for now.

! Devel digest #26 ( http://leechcraft.org/devel-digest-26 ):
* Core: added --list-plugins and --safe-mode options.
* Core: added Select All and Select None buttons to the plugin manager.
* AdvancedNotifications: added Urgent hint handler.
* Azoth: message text is stored in tab info, so it's recovered as well.
* Azoth: MUCs are rejoined on tab recovery.
* Azoth: added an option to alias KP_Enter to Enter.
* Azoth: even non-chat nicknames can be dragged now from contact list.
* Azoth: multiple performance improvements.
* Azoth AdiumStyles: support for SenderColors.txt.
* Azoth ChatHistory: added a calendar for choosing dates.
* Azoth ChatHistory: clickable links in History.
* Azoth StandardStyles: added a bunch of StandardStyles by Pendruk.
* Azoth Xoox: severely optimized load time, especially with big roster.
* LastFMScrobble: allow the user to choose the language of the info.
* Liznoo: the dialog is hidden after second click on its action.
* LMP: added support for MPRIS.
* LMP: directory iteration now optionally supports symlinks.
* LMP: track properties for Now Playing, FS, Collection and playlist.
* LMP: EnableScrobbling setting is now respected.
* LMP: some scanning fixes, a couple of segfaults has been fixed too.
* LMP: fixed compatibility with TagLib < 1.7.
* LMP: fixed some segfaults.
* Poshuku: removed tooltips generation.
* Sidebar: support embeddind dock visibility actions.
* TabSessManager: fixed Select All and Select None buttons.
* TabSessManager: fixed tab close handling.

! Devel digest #25 ( http://leechcraft.org/devel-digest-25 ):
* Azoth: updated contact list delegate.
* Azoth: highlighting groups is now optional.
* Azoth Xoox: always show JID in the vCard.
* GMailNotifier: if the username isn't set, the error is shown only once.
* Kinotify: support for X11 systems fullscreen detection.
* Lads: added this new plugin for Unity integration.
* LastFMScrobble: support for requesting recommended artists.
* LastFMScrobble: support for Last.FM radios.
* LastFMScrobble: support for requesting recent releases in user's library.
* LastFMScrobble: some queueing & scrobbling fixes.
* LastFMScrobble: fetch artists biography.
* LMP: support radio sources & allow one to play radio streams.
* LMP: display personal recommendations for the user.
* LMP: display recent releases for user's musical taste.
* LMP: display biography of the currently playing artist.
* LMP: configurable transition time between tracks.
* LMP: current item is saved between playlist modifications.
* LMP: album art can be viewed in full size in some places.
* LMP: support undo/redo in playlist.
* LMP: notify when local collection is updated.
* LMP: on-start directory iteration is async now.
* LMP: many library scanning fixes.
* LMP: album time is properly reduced on items removal.
* Poshuku CleanWeb: fixed a segfault on premature frame destruction.
* Sidebar: LeechCraft menu is shown here now.
* TabSessManager: don't add empty tabs to the unclose list.
* TabSessManager: delayed session saving.

!!! 0.5.70
! Devel digest #24 ( http://leechcraft.org/devel-digest-24 ):
* Core: shortcut items shouldn't be editable.
* Overall: changed tabs system to delegate tabs recovering to TSM.
* Azoth: properly handle removal of styles.
* Azoth: don't replace smiles in the middle of words.
* Azoth: support showing/hiding accounts.
* Azoth Rosenthal: get rid of bundled Hunspell.
* Azoth Vader: support assigning phones.
* Azoth Vader: protocol logging is now optional.
* Azoth Vader: removed excessive auth requests.
* Azoth Vader: fixed a rare segfault on giving authentication.
* Azoth Vader: better buddy handling on authentication operations.
* Azoth Xoox: enable to add/edit/remove phones and emails in VCards.
* BitTorrent: show more information in Summary.
* DeadLyrics: rewritten to provide texts to LMP by Amarok descriptions.
* Kinotify: disable notifications on fullscreen apps (Win32 only yet).
* LMP: request lyrics.
* LMP: manipulate collection via the FS tree.
* LMP: allow one to stop after a given track.
* LMP: save last played song and play mode.
* LMP: support for DnD here or there.
* LMP: added system tray icon.
* LMP: support for XSPF and PLS playlists.
* LMP: automatically request album art for collection.
* LMP: support "unscanning" from collection.
* LMP: support rescanning collection.
* LMP: mark items in collection in the FS tree.
* LMP: fixed issues with TagLib reentrancy.
* LMP: fixed fast-loading storage state.
* XmlSettingsDialog: data handler for local paths.

! Devel digest #23 ( http://leechcraft.org/devel-digest-23 ):
* Core: handle back/forward mouse buttons on tabs.
* Core: added some Media interfaces for scrobbling & similar stuff.
* Core: always bring to front the main window on tray icon click.
* Advanced Notifications: fixed QML file for the notification.
* Advanced Notifications: fixed leaking of some objects and views.
* Azoth: don't suggest already existing items in RIEX.
* Azoth: handle /kick and /ban commands.
* Azoth: fixed avatars cropping.
* Azoth: fixed a rare segfault in search.
* Azoth Autopaste: migrate to codepad.org.
* Azoth p100q: working addition and configuration buttons.
* Azoth p100q: fixed compatibility with some Adium themes.
* Azoth Xoox: stubs for microblogging support according to XEP-0277.
* Azoth Xoox: proper conferences rejoining.
* Azoth Xoox: rejoin to conferences on disconnect.
* Azoth Xoox: updated VK icon.
* LastFMScrobble: refactored a bit.
* LastFMScrobble: scrobbler now obeys official guidelines.
* LastFMScrobble: save scrobbling queue between runs.
* LastFMScrobble: support requesting similar artists.
* LastFMScrobble: support searching for album arts.
* LastFMScrobble: support marking tracks as loved.
* LastFMScrobble: handle auth errors.
* LMP: rewritten from scratch. It's a music-only audio player now.
* Nacheku: moved directory/clipboard watcher to a separate plugin.
* Poshuku: handle back/forward mouse buttons.

!!! 0.5.65
! Devel digest #22 ( http://leechcraft.org/devel-digest-22 ):
* Core: store plugin icons on-disk, not in QSettings.
* Core: support for searching icons in ~/.leechcraft/icons.
* Core: optional hiding of the tray icon.
* Core: much nicer settings tab.
* Core: saner tab recovery policy.
* Util: better SysInfo data.
* XSD: fixed segfault when adding LackMan packages.
* XSD: fixed first start segfault on Windows.
* Azoth: history scrollback.
* Azoth: case-insensitive highlight.
* Azoth: filter by entry ID in console.
* Azoth: console now shows timings.
* Azoth: changed alternative nick semantics.
* Azoth: fixed occasional segfault when hiding offline users.
* Azoth AdiumStyles: minor theme compatibility issues fixed.
* Azoth ChatHistory: support per-account and global searching.
* Azoth Rosenthal: fixed context menu corrections.
* Azoth Xoox: advertise XEP-0232 info about self.
* Azoth Xoox: store passwords for MUCs.
* Azoth Xoox: kludges for Kopete and Jabber.El detection.
* Azoth Xoox: self-offline handling fixes.
* Azoth Xoox: a bunch of other small fixes.
* Azoth Xoox: caps generation fixes.
* Azoth Xoox: fixed a couple of logical leaks.
* BitTorrent: compatibility with libtorrent 0.16.
* DBusManager: disable notifications by default.
* Dolozhee: bug link now works.
* Dolozhee: proper completion method for bug page.
* Dolozhee: passwords are saved now.
* LackMan: revamped UI.
* LackMan: lots of Storage fixes, particularly on package removal.
* LackMan: async Storage, speeds things up by two orders of magnitude.
* LackMan: don't request all images on package retrieval.
* LackMan: keep package if it's removed from repo but is installed.
* LackMan: fixed Windows codepath (hell yeah, we work on Win now!).
* LackMan: notifications about number of new/updated packages.
* Otlozhu: added iCal import/export.
* TabSessManager: remove duplicate unclose actions.
* TabSessManager: elided text for actions.

! Devel digest #21 ( http://leechcraft.org/devel-digest-21 ):
* Core: filter proxy model for plugin manager widget.
* Advanced Notifications: support for Organizer event type.
* Advanced Notifications: possibly fixed fonts generation (once more).
* Aggregator: added Mark All As Read action.
* Aggregator: proper indexes are expanded on feed addition, fixes #211.
* Auscrie: support for making overlay and whole desktop screenshots.
* Auscrie: fixed dump.bitcheese.net uploader.
* Auscrie: support hiding the dialog.
* Azoth: plugins now support split build.
* Azoth: hardlimit for 4 variant icons, fixes #440.
* Azoth: client icons are properly sorted by priority.
* Azoth Acetamide: commands 323 and 338 are now supported.
* Azoth ChatHistory: more clear search match highlights.
* Azoth Xoox: support for XEP-0232 parsing/generation.
* Azoth Xoox: handling/displaying XEP-0232 info in Service Discovery.
* Azoth Xoox: text from muc#roominfo_description is used in SD now.
* Azoth Xoox: even more efficient vCard requests.
* Azoth Xoox: remember entered JID/password on in-band account reg.
* Azoth Xoox: fixed several segfaults.
* Azoth Xoox: configurable minimum height of message edit field.
* BitTorrent: torrent icon for items in Summary.
* Dolozhee: new plugin, bug/featurerequest reporter.
* KBCraft: new keyboard layout manager plugin.
* Otlozhu: new plugin, a GTD-style organizer.
* XProxy: new plugin for advanced proxy management.

! Devel digest #20 ( http://leechcraft.org/devel-digest-20 ):
* Azoth: support tab session management.
* Azoth: separate theme and theme variant settings.
* Azoth: allow one to reorder bookmarks.
* Azoth Acetamide: fixed answer on Spy commands.
* Azoth Acetamide: disconnect on socket error.
* Azoth Acetamide: proper WHO request after channel joining.
* Azoth Acetamide: support for server password in bookmarks.
* Azoth Acetamide: proper SSL errors handling.
* Azoth AdiumStyles: parse PLists for more info.
* Azoth Xoox: fixed segfault on going offline.
* Azoth Xoox: proper gateway login/logout logic.
* Azoth Xoox: better caching for disco#info.
* Azoth Xoox: proper support for vcard-update.
* Azoth Xoox: caching for avatars in MUCs.
* Azoth Xoox: support refreshing branches in service discovery.
* Azoth Xoox: support showing physical addresses in vCards.
* Azoth Xoox: fixed several rare segfaults.
* Poshuku CleanWeb: better control for user filters.
* Poshuku CleanWeb: support pasting/loading user filters from file.
* TabSessManager: implement a global tabs uncloser.
* Core: name/shortcut filter in ShortcutManager widget.
* Core: support setting accept-language.
* XSD: support for selection event notifications.
* Overall: some code fixes thanks to static analysis!

!!! 0.5.60
! Announce ( http://leechcraft.org/leechcraft-0.5.60-is-released ):
* New plugin: Azoth Astrality: Telepathy abstraction layer.
* New plugin: Azoth Keeso.
* New plugin: Azoth Vader: MRIM protocol support.
* New plugin: Azoth Zheet: MSN protocol support.
* New plugin: GActs: global shortcut manager.
* New plugin: Liznoo: LC power manager.
* New plugin: NetStoreManager: manager for storages like Yandex.Disk.
* New plugin: Poshuku Pogooglue: searches selected text in Google.
* New plugin: Sidebar.
* Aggregator: update feeds in a separate thread.
* Aggregator: mark channels as read in a separate thread.
* Azoth Acetamide: lots of changes in protocol support and behavior.
* Azoth Acetamide: full CTCP support.
* Azoth Acetamide: proper roles support.
* Azoth AdiumStyles: lots of fixes for themes/scripts support.
* Azoth Xoox: request versions for roster items and MUC participants.
* Azoth Xoox: add download tasks remotely via Ad-Hoc Commands.
* Azoth Xoox: support for message forwarding.
* Azoth Xoox: don't request vCards and versions in MUCs in gateways.
* Azoth Xoox: support for names and phones in vCards.
* Azoth Xoox: fixed self-presence-handling and self-PEP-events.
* Azoth: shortcuts for quoting and clearing chat windows.
* Azoth: own font configurator.
* Core: implemented API level checks.
* Core: caching in Resource Loader framework.
* Core: use global iconsets.
* New Life: importers from Psi+, Kopete and Vacuum IM.
* Migrate to C++11.
* And hundreds of other changes.

!!! 0.5.0
! Announce ( http://leechcraft.org/leechcraft-0.5.0-is-released ):
* Azoth SS: fixed link colors in Black theme.
* Azoth Xoox: always initialize message subtype.
* BitTorrent: enable status notifications by default.
* BitTorrent: properly handle Magnet links.
* Other: updated installation icons.
* Poshuku: don't notify about items already existing in Favourites.

!!! 0.4.99
! Announce ( http://leechcraft.org/leechcraft-0.4.99-is-released ):
* Azoth: entry info is copyable now.
* Azoth: fixed quite a lot of memory leaks.
* Azoth: shortcut for showing/hiding side widget with roster.
* Azoth ChatHistory: added plugin icon.
* Azoth Rosenthal: fixed suggestions display.
* Azoth Xoox: fixed cases where nick was empty.
* Core: fixed cases where no tab plugins are present.
* Kinotify: word-wrap: break-word for themes.
* LackMan: always update actions metadata.
* LackMan: backported changes for repository format from master branch.
* LackMan: backported support for xz/lzma archives from master branch.
* Poshuku: Adobe Flash is working again.
* Other: fixed Windows build.

!!! 0.4.98
! Announce ( http://leechcraft.org/leechcraft-0.4.98-is-released ):
* Aggregator: fixed incorrect boost.optional usage.
* Aggregator: fixed segfault on startup due to incorrect DB settings.
* Azoth: proper icon for Draw Attention action.
* Azoth: fixed segfault when opening chat with entries that are gone.
* Azoth: correct context menus on entries with non-latin names.
* Azoth Acetamide: fixed join/leave/kick messages (fixes segfaults with
  AdiumStyles).
* Azoth AS: fixed /me-related bug.
* Azoth AS: fixed self-closing tags in themes.
* CSTP: correctly set UA from settings.
* Kinotify: seemingly fixed parenting-related bugs.
* Poshuku: fixed text margins in URL edit.

!!! 0.4.97
! Announce ( http://leechcraft.org/leechcraft-0.4.97-is-released ):
* Aggregator: updated the list of feeds.
* Azoth: fast change status button offline by default.
* Azoth: added perr.svg to Likey iconset.
* Azoth: fixed drawing groups heading.
* Azoth AdiumStyles: detect outgoing messages in MUCs.
* Azoth ChatHistory: select proper history item.
* Azoth Xoox: fixed Ad-Hoc commands.
* Azoth plugins: more plugin icons.
* BitTorrent: optimized updating pieces model.
* BitTorrent: optimized calculating interesting pieces.
* Core: correctly handle arguments from local socket.
* CSTP: fixed handling redirections for internal tasks.
* EiskaltDC++: fixed building with Boost-1.48 and later.
* Poshuku OB: sync fixes.
* Poshuku OB RIL: fixed uploading empty bookmarks.

!!! 0.4.96
! Announce ( http://leechcraft.org/leechcraft-0.4.96-is-released ):
* Azoth: fixed auth issues.
* Azoth AdiumStyles: fixed /me-messages.
* Azoth AdiumStyles: support styles using tags other than div for
  insertion.
* Azoth Metacontacts: fixed DnD of a contact on itself.
* Azoth Xoox: members-moderators are now able to kick participants.
* Azoth Xoox: self PEP events are also handled now.
* Azoth Xtazy: fixed handling of players started after LC.
* Poshuku OB: fixed readding accounts once they are deleted.
* SecMan SecureStorage: fixed build.

!!! 0.4.95
! Devel digest #19 ( http://leechcraft.org/devel-digest-19 ):
* Azoth: show top used status on Fast Change Status button.
* Azoth Xoox: handle xmpp:...?message links.
* EiskaltDC++: fixed build with CMake 2.8.6 and later.
* Overall: optimized timers in LeechCraft so that CPU is woken up 4-5
  times rarely.
* Poshuku: forcefully disabled NPAPI plugins.
* Poshuku OB: kludges for Qt 4.8 and later.

! Devel digest #18 ( http://leechcraft.org/devel-digest-18 ):
* Aggregator: added support for itpc schemes.
* Aggregator: fixed item view not being updates on some feeds.
* Azoth: context menu for nicknames in Azoth.
* Azoth: optionally append a message whenever participant leaves.
* Azoth: optionally disable sending leave notification.
* Azoth: configurable post-address text in Azoth.
* Azoth: "Quote" action in chat view context menu.
* Azoth: fixed leaking search widgets.
* Azoth: fixed Clear chat behavior.
* Azoth Acetamide: added support for SSL connections.
* Azoth OTRoid: improved interoperability with other plugins.
* Azoth StandardStyles: added Gajim style.
* Azoth StandardStyles: fixed pre/post-nick colors.
* Azoth Xoox: fixed segfault when clearing mood.
* Core: open URLs externally if they aren't handled internally.
* Core: fixed toolbar visibility control.
* Core: use automoc feature of CMake 2.8.6 and later.
* LackMan: fixed package deinstallation.
* LackMan: fixed segfault on package installation cancelling.
* Popishu: added Octave and Matlab lexers.
* Popishu: line numbers & wrapping are enabled by default.
* Poshuku FatApe: fixed fetching scripts.
* Poshuku FatApe: fixed userscripts detection.
* Poshuku Pogooglue: new plugin for searching selected text in Google.

! Devel digest #17 ( http://leechcraft.org/devel-digest-17 ):
* AdvancedNotifications: support toggling audio notifications from QL.
* Aggregator: support removing individual channels by user.
* Azoth: added "Group send" feature.
* Azoth: option to disable displaying join/leave events.
* Azoth: "More this stuff" buttons.
* Azoth: fixed rare emoticons mishandling in Azoth.
* Azoth: hide "Inspect" action if developer extras are disabled.
* Azoth p100q: fixed displaying images from original post in replies.
* Core: "More this stuff" architecture.
* Core: somewhat fixed layouts in settings tabs.
* LackMan: more space for descriptions.
* LackMan: periodical updates featuer.
* Poshuku: display links on hover in a nice box instead of status bar.
* Poshuku: fixed viewport size issues.

! Devel digest #16 ( http://leechcraft.org/devel-digest-16 ):
* Azoth: allow one to change bookmarks right from the CL context menu.
* Azoth: allow one to join bookmarked MUCs from the CL context menu.
* Azoth: added an option to hide MUC participants from whole CL.
* Azoth: don't remove MUC participants that left the MUC but have an
  unread message.
* Azoth: fixed for bookmark manager.
* Azoth AdiumStyles: more fixes.
* Azoth Isterique: added new plugin for decapsifying incoming msgs.
* Azoth p100q: fixed '/', line breaks and post IDs.
* Core: uncheck dependent plugins when disabling root plugin.
* Poshuku: support saving pixmaps without redownloading.

! Devel digest #15 ( http://leechcraft.org/devel-digest-15 ):
* AdvancedNotifications: support enabling/disabling rules.
* AdvancedNotifications: support single shot rules.
* Azoth: support inviting to MUCs.
* Azoth: support dragging contacts between groups.
* Azoth: support sending files to contacts by dropping files on them.
* Azoth: allow one to disable displaying contact statuses.
* Azoth: fixed avatar display.
* Azoth AdiumStyles: support variants for all styles.
* Azoth AdiumStyles: fixed themes loading external resources from disk.
* Azoth Metacontacts: support creating metacontacts by D&D.
* Core: tooltips for settings items.
* Core: Diagnostic info tab.
* KnowHow: added plugin for displaying tips of the day.
* LackMan: fixed on Windows.
* Overall: more agressive caching of resources.
* Poshuku: expose support for WebGL.
* Poshuku: migrate to QGraphicsView-based web view.

! Devel digest #14 ( http://leechcraft.org/devel-digest-14 ):
* Aggregator: queueing of feeds updates instead of bunch update.
* Azoth: directed chat state participation events.
* Azoth: lots of small fixes.
* Azoth: now one can set password in account configuration dialog.
* Azoth OTRoid: implemented support for OTR in Azoth.
* Azoth Xoox: properly create Last Activity stanza.
* Azoth Xoox: resepect lack for XEP-0085 in other clients.
* Poshuku OB: almost reworked from scratch.

! Devel digest #13 ( http://leechcraft.org/devel-digest-13 ):
* Aggregator: stubs for sync support.
* Azoth: support for protocols that support searching.
* Azoth: show buddy avatar in chat tabs.
* Azoth Autoidler: change status to XA instead of DND.
* Azoth p100q: allow one to disable avatars.
* Azoth p100q: hints for buttons.
* Azoth Xoox: XEP-0055 (Jabber Search).
* Azoth Xoox: experimental blind-written XEP-0084: User Avatar.
* Azoth Xoox: kludges for incorrect registration forms from various
  servers like ejabberd.
* Azoth Xoox: lots of various small fixes.
* BitTorrent: fixed torrents not being added correctly sometimes.

!!! 0.4.90
! Devel digest #12 ( http://leechcraft.org/devel-digest-12 ):
* Azoth: allow one to create new accounts from the Azoth menu.
* Azoth: allow one to set different styles for chats and MUCs.
* Azoth: support for protocols allowing exchanging the contacts.
* Azoth: lots of bugfixes.
* Azoth Acetamide: autoidentify.
* Azoth AdiumStyles: added GoneDark theme to the default themes set.
* Azoth AdiumStyles: fixed styling engine, more themes are supported now.
* Azoth Xoox: introduced XEP-0144 (Roster Item Exchange).
* BitTorrent: fixed Win32 build issues.

! Devel digest #11 ( http://leechcraft.org/devel-digest-11 ):
* AdvancedNotifications: allow one to reload default set of rules.
* AdvancedNotifications: support running external command.
* Aggregator: support "Important".
* Aggregator BodyFetch: disable support for things useless for parsing.
* Aggregator BodyFetch: extended API.
* Aggregator BodyFetch: huge perf optimization by caching scripts.
* Aggregator BodyFetch: moved processing back to main thread to avoid
  some QtWebkit-related threading issues.
* Azoth: draw own avatar and protocol icon in the CL.
* Azoth: fixed notifying about each MUC message in AN.
* Azoth: lots of micro improvements.
* Azoth: native support for '/leave' command.
* Azoth: "Quote" action.
* Azoth: somewhat fixed Ctrl+C in chats.
* Azoth: somewhat optimized contact list delegate.
* Azoth Acetamide: autofix channel names by prepending '#' if absent.
* Azoth Acetamide: lots of different fixes.
* Azoth Acetamide: support configuring channels, including chanmodes,
  banlist, except list and invite list.
* Azoth Acetamide: '/say' command.
* Azoth p100q: fixed ordering of buttons.
* Azoth Xoox: fixed handling self vCards.
* BitTorrent: show free space when adding files.
* Core: fixed a whole class of bugs arising from usage of already-
  deleted objects in notifications actions.
* Core: fixed incorrect dependencies calculation.
* Overall: initial support for Qt 4.8.
* Poshuku: correctly handle content resend errors.
* Poshuku CleanWeb: fixed FlashOnClick.
* Poshuku CleanWeb: frames with ads are also hidden now.
* Poshuku CleanWeb: match plain strings as plain strings (speeds up).
* Poshuku CleanWeb: support "third-party" attribute.

! Devel digest #10 ( http://leechcraft.org/devel-digest-10 ):
* Azoth: suggest rejoining a MUC after being kicked.
* Azoth: support disabling by-status grouping in the CL.
* Azoth: support for PGP-enabled protocols/conversations.
* Azoth Acetamide: '/msg' command.
* Azoth Acetamide: bookmarks and autojoin support.
* Azoth Metacontacts: added support for metacontacts.
* Azoth Xoox: allow one to request voice in MUCs.
* Azoth Xoox: introduced XEP-0027 (OpenPGP).
* Azoth Xoox: self contact.
* Azoth Xoox: support data forms in messages.
* Azoth Xoox: support publishing vCards.
* TabsList: search by title.
* TabsList: show tabs numbers.

!!! 0.4.85
! Devel digest #9 ( http://leechcraft.org/devel-digest-9 ):
* Aggregator: more compatibility in fb2 generator.
* Azoth: load last few messages on new chat sessiongit
* Azoth: actions for history & vcard on chat tab toolbar.
* Azoth: emoticons chooser in message formatter toolbar.
* Azoth: show number of MUC participants in chat tab header.
* Azoth: fixed self status changes and handling.
* Azoth: fixed leaking toolbars.
* Azoth Acetamide: lots of stability fixes.
* Azoth HiLi: don't check big message bodies now.
* Azoth LastSeen: added new plugin for client-side last online/available
  status date recording.
* Azoth p100q: buttons for recommending and bookmarking are now
  everywhere.
* Azoth Xoox: fixed entity capabilities hash calculation.
* Azoth Xoox: support CAPTCHAs.
* Core: fixed tooltips leak.
* Glance: moved this feature out from Core to a separate module.
* ShellOpen: suggest opening entities via notification instead of dialog.
* TabsList: new module for, well, a list of tabs.

! Devel digest #8 ( http://leechcraft.org/devel-digest-8 ):
* Aggregator: allow to set custom book name & genres in fb2 export.
* Aggregator: fixes for fb2 generator.
* Aggregator BodyFetch: new plugin for fetching full RSS news bodies.
* Azoth: rich text formatter.
* Azoth: support publishing geolocation information.
* Azoth: allow to add MUC participants to contact-list in two clicks
  if contact ID is known.
* Azoth: support pre-nick and post-nick texts.
* Azoth AdiumStyles: new plugin for Adium styles.
* Azoth Autoidler: new plugin for setting status due to inactivity.
* Azoth ChatHistory: improved history rendering with better nicks.
* Azoth Modnok: new plugin for LaTeX rendering and inline display.
* Azoth Rosenthal: updated Hunspell implementation.
* Azoth Xoox: support XHTML-IM (XEP-0070).
* Azoth Xoox: support geolocation (XEP-0080).
* Core: fixed segfault on first-level plugin disabling.
* Core: prioritized handlers concept.
* SecMan SecureStorage: new plugin providing AES256-backed secure data
  storage.

!!! 0.4.80
! Devel digest #7 ( http://leechcraft.org/devel-digest-7 ):
* Aggregator: respect system background color palette.
* Azoth: UI & concepts for media calls.
* Azoth: support for animated state icons in contact list.
* Azoth Rosenthal: new plugin for Hunspell-based spellchecking.
* Azoth Xoox: Jingle support.
* Azoth Xoox: support ad-hoc commands (XEP-0050).
* Poshuku Keywords: new plugin for URL shortcuts.

! Devel digest #6 ( http://leechcraft.org/devel-digest-6 ):
* Azoth: support for changing user mood/activity/tune.
* Azoth: protocol consoles concept.
* Azoth: fixed regexps for detecting links in chats.
* Azoth: improved insertion of nicks in message line edits.
* Azoth Autopaste: new plugin for sending long posts to pastebins.
* Azoth Depester: new plugin for ignoring specific MUC participants.
* Azoth EmbedMedia: new plugin for in-chat media objects display.
* Azoth Herbicide: new antispam plugin.
* Azoth Xoox: PubSub/PEP support, particularly: XEP-0107, XEP-0108,
  XEP-0118, XEP-0163.
* Azoth Xoox: support in-band registration (XEP-0077).
* Azoth Xoox: support privacy lists (XEP-0016).
* Azoth Xoox: redesigned handling of unauthorized contacts.
* Azoth Xoox: implemented XEP-0090.
* Azoth Xoox: support legacy forms.
* Azoth Xtazy: new plugin for publishing current user tune.

! Devel digest #5 ( http://leechcraft.org/devel-digest-5 ):
* AdvancedNotifications: basic support.
* Azoth: support scrolling chats by Ctrl+PgUp/PgDown.
* Azoth: configurable hotkey for message sending.
* Azoth: display statuses with line breaks correctly.
* Azoth ChatHistory: correctly handle HTML in messages.
* Azoth ChatHistory: show the directions of messages.
* Azoth p100q: inline images display is now optional.
* Azoth p100q: lots bugfixes.
* Azoth Xoox: queue for service discovery & vcard requests.
* Azoth Xoox: don't request caps for old clients like Psi+.
* Core: settings UI moved from the dialog to a separate tab.
* Poshuku: fixed too paranoid downloads detection.
* Poshuku CleanWeb: correctly hide elements on Qt 4.7.

! Devel digest #4 ( http://leechcraft.org/devel-digest-4 ):
* Azoth & Xoox: support for XEP-0184, XEP-0221, XEP-0224.
* Azoth: support for message receipts.
* Azoth: support for incoming & outgoing attention requests.
* Azoth: separate mode for participants of the current MUC.
* Azoth: zooming chat windows by Ctrl+Wheel.
* Azoth: default alt nick option for MUC rooms.
* BitTorrent: nicer torrent removal dialog.

!!! 0.4.75
* Initial milestone when we started tracking changes in this file.
